<?php 
/* SVN FILE: $Id$ */
/* App schema generated on: 2014-03-04 10:03:53 : 1393894973*/
class AppSchema extends CakeSchema {
	var $name = 'App';

	var $file = 'schema_5.php';

	function before($event = array()) {
		return true;
	}

	function after($event = array()) {
	}

	var $account_attributes = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'account_id' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'entityid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'o' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'ou' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_account_attributes_account_id' => array('column' => 'account_id', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $account_eppns = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'account_id' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'eppn' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 256, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'entityid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'eptid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 256, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'local_id' => array('type' => 'string', 'null' => true, 'default' => NULL, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_account_eppns_eppn' => array('column' => 'eppn', 'unique' => 0), 'idx_account_eppns_account_id' => array('column' => 'account_id', 'unique' => 0), 'idx_account_eppns_eptid' => array('column' => 'eptid', 'unique' => 0), 'idx_account_eppns_local_id' => array('column' => 'local_id', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $account_integrations = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'random_key' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'account_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'copy_account_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'copy_eppn' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 256, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'copy_eptid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 256, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'copy_entityid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'status' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 20, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_account_integrations_key' => array('column' => 'random_key', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $accounts = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'name' => array('type' => 'string', 'null' => true, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'mail' => array('type' => 'string', 'null' => true, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'university' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'introduction' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'language' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'agreement' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 10, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'arrival' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'length' => 1, 'key' => 'index'),
		'arrival_key' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'arrival_time' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'name_en' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'introduction_en' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'university_en' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'import' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 20, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'temp_groupid' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_accounts_arrival' => array('column' => array('arrival', 'mail'), 'unique' => 0), 'idx_account_import' => array('column' => 'import', 'unique' => 0), 'idx_account_temp_groupid' => array('column' => 'temp_groupid', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $add_groups = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'top_id' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'bottom_id' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'top' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'length' => 1),
		'bottom' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'length' => 1),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_add_groups_top_id' => array('column' => 'top_id', 'unique' => 0), 'idx_add_groups_bottom_id' => array('column' => 'bottom_id', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $agency_connectors = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'entityid' => array('type' => 'string', 'null' => false, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'groupid' => array('type' => 'integer', 'null' => false, 'default' => NULL),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $agreement_connects = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'spc_id' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'top_group_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'bottom_group_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'status' => array('type' => 'integer', 'null' => true, 'default' => '0'),
		'add_attributes' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'add_sps' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_agreement_connects_find' => array('column' => array('spc_id', 'top_group_id', 'bottom_group_id', 'status'), 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $agreement_ismemberofs = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'account_id' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'spc_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'group_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'ismemberof' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'before_ismemberof' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_agreement_ismemberofs_find' => array('column' => array('account_id', 'spc_id', 'group_id'), 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $agreements = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'account_id' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'group_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'eptid' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'name' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'mail' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'idp' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'introduction' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'language' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'organization' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'before_eptid' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'before_name' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'before_mail' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'before_idp' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'before_introduction' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'before_language' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'before_organization' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_agreements_ids' => array('column' => array('account_id', 'group_id'), 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $auto_group_key_sequences = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'key' => 'primary'),
		'indexes' => array(),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'MyISAM')
	);
	var $auto_groups = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'o' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'ou' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'entityid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'group_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'status' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 20, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_auto_groups_o' => array('column' => 'o', 'unique' => 0), 'idx_auto_groups_ou' => array('column' => 'ou', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $categories = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'name' => array('type' => 'string', 'null' => false, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'order_num' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'kind' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'next' => array('type' => 'boolean', 'null' => true, 'default' => NULL),
		'name_en' => array('type' => 'string', 'null' => false, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'id' => array('column' => 'id', 'unique' => 1)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $group_categories = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'group_id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'key' => 'index'),
		'category_id' => array('type' => 'integer', 'null' => false, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_group_categories_ids' => array('column' => array('group_id', 'category_id'), 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $group_sphosts = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'group_id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'key' => 'index'),
		'sp_id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'key' => 'index'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'service_name' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 100, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'lead_url' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'logout_option' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 20, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'relogin_url' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'service_link_both' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 10, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'service_name_en' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_group_sphosts_group_id' => array('column' => 'group_id', 'unique' => 0), 'idx_group_sphosts_service_name' => array('column' => 'service_name', 'unique' => 0), 'idx_group_sphosts_sp_id' => array('column' => 'sp_id', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $groups = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'name' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'introduction' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 256, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'contactadmin' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'contactmember' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'active' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 1, 'key' => 'index'),
		'public' => array('type' => 'integer', 'null' => true, 'default' => '1', 'length' => 1),
		'openmember' => array('type' => 'integer', 'null' => true, 'default' => '1', 'length' => 1),
		'inspectjoin' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 1),
		'inspectquit' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 1),
		'down_permission' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 1),
		'up_permission' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 1),
		'group_response' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 1),
		'sp' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 1, 'key' => 'index'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'independence' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'length' => 1),
		'lead_url' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'group_key' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'name_en' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'name_en_normalization' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'introduction_en' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 256, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'spc_icon' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'icon' => array('type' => 'integer', 'null' => true, 'default' => '1', 'length' => 2),
		'icon_type' => array('type' => 'string', 'null' => true, 'default' => 'png', 'length' => 16, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_groups_introduction' => array('column' => 'introduction', 'unique' => 0), 'idx_groups_active_public' => array('column' => array('active', 'public'), 'unique' => 0), 'idx_groups_sp' => array('column' => 'sp', 'unique' => 0), 'idx_groups_name' => array('column' => 'name', 'unique' => 0), 'idx_groups_introduction_en' => array('column' => 'introduction_en', 'unique' => 0), 'idx_groups_name_en' => array('column' => 'name_en', 'unique' => 0), 'idx_groups_name_en_normalization' => array('column' => 'name_en_normalization', 'unique' => 0), 'idx_groups_group_key' => array('column' => 'group_key', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $idp_administrators = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'eppn' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 256, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'eptid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 256, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'entityid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $inspect_attributes = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'inspect_id' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'from_group_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'to_group_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'ismemberof' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'eptid' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'name' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'mail' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'idp' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'introduction' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'language' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'organization' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'status' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_inspect_attributes_inspect_id' => array('column' => 'inspect_id', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $inspects = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'groupid' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'kind' => array('type' => 'boolean', 'null' => true, 'default' => NULL),
		'status' => array('type' => 'boolean', 'null' => true, 'default' => NULL),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'sent' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'length' => 1),
		'result' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 20, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'account_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_inspects_ids' => array('column' => array('groupid', 'account_id'), 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $invites = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'groupid' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'random' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'address' => array('type' => 'string', 'null' => true, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'term' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 10, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'status' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'counter' => array('type' => 'integer', 'null' => true, 'default' => '0'),
		'body' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 4000, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'language' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'resend_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'account_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'invited_account_id' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_invites_regist' => array('column' => array('random', 'groupid', 'address', 'status'), 'unique' => 0), 'idx_invites_groupid' => array('column' => 'groupid', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $mygroups = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'groupid' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'admin' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'length' => 1),
		'account_id' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_mygroups_groupid' => array('column' => 'groupid', 'unique' => 0), 'idx_mygroups_account_id' => array('column' => 'account_id', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $organizations = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'name' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'name_en' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'valid_util' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 50, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'display_name' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'display_name_en' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 200, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'entityid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'federation' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_organizations_entityid' => array('column' => 'entityid', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $provide_attributes = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'group_id' => array('type' => 'integer', 'null' => true, 'default' => NULL, 'key' => 'index'),
		'ismemberof' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'eptid' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'name' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'mail' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'idp' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'introduction' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'language' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'organization' => array('type' => 'integer', 'null' => true, 'default' => '0', 'length' => 6),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_provide_attributes_group_id' => array('column' => 'group_id', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $sp_administrators = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'eppn' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 256, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'host_name' => array('type' => 'string', 'null' => false, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'eptid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 256, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'entityid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_sp_administrators_eppn' => array('column' => 'eppn', 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $sp_auto_connectors = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'groupid' => array('type' => 'integer', 'null' => true, 'default' => NULL),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
	var $sp_hosts = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => NULL, 'length' => 10, 'key' => 'primary'),
		'name' => array('type' => 'string', 'null' => false, 'default' => NULL, 'length' => 100, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'status' => array('type' => 'boolean', 'null' => true, 'default' => NULL),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
		'entityid' => array('type' => 'string', 'null' => true, 'default' => NULL, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'service_name' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'service_name_en' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'valid_util' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'certificate' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 4096, 'key' => 'index', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'certificate2' => array('type' => 'string', 'null' => true, 'default' => NULL, 'length' => 4096, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'idx_sp_hosts_name' => array('column' => 'name', 'unique' => 0), 'idx_sp_hosts_entityid' => array('column' => 'entityid', 'unique' => 0), 'idx_sp_hosts_certificate' => array('column' => array('certificate', 'certificate2'), 'unique' => 0)),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);
}
?>