<?php
/**
 * Logout Controller
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class LogoutController extends AppController {
	var $name = 'Logout';
	var $uses = array();
	var $components = array("Session") ;

	function beforeFilter() {
		$this->accessLog();
	}

	function index() {
		$this->Session->destroy();
		$msgid = isset($this->params['url']['msgid']) ? 'msgid=' . $this->params['url']['msgid'] . '%26': '';

		if ($this->Common->isDevelopment()) {
			$this->redirect('/dev/logout');
		} else {
			$this->redirect('/Shibboleth.sso/Logout?return='.'https://'.env('HTTP_HOST').'/%3f'.$msgid.'auto_login=false');
		}
	}
}
?>
