<?php
/**
 * AutoGroupKeySequence Model
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class AutoGroupKeySequence extends AppModel{
    var $name = 'AutoGroupKeySequence';

	/**
	 * 自動で設定するグループキーの数値を検索する
	 * @param $values
	 */
	function findNextId() {
		$this->updateAll(array('id' => 'LAST_INSERT_ID(id+1)'));
		$sequence= $this->find('first');
		return $sequence['AutoGroupKeySequence']['id'];
	}

	/**
	 * シーケンスを100増加させる
	 * @param $values
	 */
	function upId() {
		$this->updateAll(array('id' => 'LAST_INSERT_ID(id+100)'));
	}

}
?>