<style>
div.form_area {
	padding-bottom: 2em;
}
div.member_list_head {
	font-size: 120%;
}
span.other {
	color: #666;
}
td.idp {
	padding-left: 10px;
}
</style>

<?php echo $form->create('ManageAgency', array('action' => 'group'.'/'.$groupKey)); ?>
<?php echo $form->error('message'); ?>

	<div class="form_area">
		<div class="form_input">
			<label><?php __('common.mailaddress') ?>
			<?php echo $form->input('mail', array('id' => 'ManageAgencyMail', 'label' => false, 'size' => 50, 'div' => false)); ?>
			</label>
<?php if ($forcibleAdmission): ?>
			<label>
			<?php echo $form->checkbox('forcibleAdmission', array('label' => false, 'div' => false)); ?>
			<?php __('common.forcible.admission') ?>
			</label>
<?php endif; ?>
		</div>

		<div>
			<?php echo $form->submit(__('common.register', true), array('name '=>' add', 'div' => false, 'style' => 'width:60px;height:23px;')); ?>
			<?php echo $form->submit(__('common.clear', true), array('type' => 'reset', 'onclick' => 'javascript:clearMail()', 'div'=> false, 'style' => 'width:60px;height:23px;')); ?>
		</div>
    </div>

	<div>
		<div class="member_list_head"><?php __('left.menu.member.list') ?></div>
		<?php if (!$members): ?>
			<?php __('common.without') ?>
		<?php endif; ?>

		<table class="">
			<?php foreach ($members as $member): ?>
			<tr>
				<td>
				<?php
					if ($member['Account']['id'] != $selfAcccountId) {
						$option = array();
						$option[ $member['Account']['id'] ] = "";
						echo $form->input('checkList.'.$member['Account']['id'],
							array('type' => 'select', 'multiple' => 'checkbox', 'options' => $option,
							'label' => false, 'div' => false));
					}
				?>
				</td>
				<td>
				<?php if ($member['Account']['is_temp']): ?>
					<?php if ($member['Account']['is_temp'] == 2 || $member['Account']['is_temp'] == 3): ?>
						<span class="other"><?php echo h($member['Account']['name'].$member['Account']['name_en']) ?></span>
					<?php else: ?>
						<span class="other"><?php echo h($member['Account']['mail']) ?></span>
					<?php endif; ?>
				<?php else: ?>
					<?php echo h($member['Account']['name'].$member['Account']['name_en']) ?>
				<?php endif; ?>
				</td>
				<td class="idp">
					<?php if ($member['Account']['is_temp']): ?>
						<?php echo __('manage_groups.invite.inviting', true) ?>
					<?php else: ?>
						<?php echo h($member['Account']['idp']) ?>
					<?php endif; ?>
				</td>
			</tr>
			<?php endforeach; ?>
		</table>
		<?php if ($members): ?>
			<div>
				<?php echo $form->submit(__('common.del', true), array('name '=>' delete', 'div' => false, 'style' => 'width:60px;height:23px;')); ?>
			</div>
		<?php endif; ?>
	</div>

<?php echo $form->end(); ?>

