<style>
div.contents {
	padding-top: 10px;
}
div.form_area {
	padding-bottom: 2em;
}
div.form_input {
	padding-bottom: 2px;
}
div.form_input textarea {
	width: 50em;
	height: 20em;
}

div.member_list_head {
	font-size: 120%;
	border-bottom: 2px solid #c8c8c8;
	padding-bottom:10px;
}
table.member_list th {
	text-align: left;
}
table.member_list th.local_id {
	width: 250px;
}

span.eppn {
	color: #666;
}


.member {
	width:100%;
	border-collapse: separate;
	border-spacing: 0px;
	border-top: 1px solid #ccc;
	border-left: 1px solid #ccc;
}
.member tr:nth-child(2n-1) {
	background-color: #eeeeee;
}
.member th{
	width: 25%;
	padding: 4px;
	text-align: left;
	vertical-align: top;
	color: #444;
	background-color: #ccc;
	border-top: 1px solid #fff;
	border-left: 1px solid #fff;
	border-right: 1px solid #ccc;
	border-bottom: 1px solid #ccc;
}
.member td{
	padding: 2px;
	border-right: 1px solid #ccc;
	border-bottom: 1px solid #ccc;
}
</style>

<?php echo $form->create('ManageAgency', array('action' => 'agency_kyoto_u_ac_jp_multi')); ?>

<div class="contents">
	<?php echo $form->error('message'); ?>
	<div class="form_area">
		<div class="form_input">
			<span class="help"><?php echo h('入力形式: (先生のSPS-ID)\t(秘書のSPS-ID)\t(秘書のSPS-ID)') ?></span>
			<div><?php echo $form->textarea('spsid', array('id' => 'ManageAgencySpsid', 'label' => false)); ?></div>
		</div>
		<div>
			<?php echo $form->submit(__("登録", true), array('name '=>'add', 'div' => false, 'style' => 'width:60px;height:23px;')); ?>
			<?php echo $form->submit(__("クリア", true), array('type' => 'reset', 'div'=> false, 'style' => 'width:60px;height:23px;')); ?>
		</div>
	</div>

	<div>
		<?php if (!empty($memberList)): ?>
			<table class="member">
				<tr><th>先生</th><th>代理入力者</th></tr>
			<?php foreach($memberList as $members): ?>
				<tr>
				<?php for ($i = 0; $i < count($members); $i++): ?>
					<?php if ($i == 0): ?>
						<td><?php echo($members[$i]); ?></td>
					<?php else: ?>
						<td>
							<?php for ($i = 1; $i < count($members); $i++): ?>
								<?php echo($members[$i]); ?><span>　</span>
							<?php endfor; ?>
						</td>
					<?php endif; ?>
				<?php endfor; ?>
				</tr>
			<?php endforeach; ?>
			</table>
		<?php endif; ?>
	</div>
</div>

<?php echo $form->end(); ?>


