<?php $_group_id = $this->data['ManageGroup']['id'] ?>
<article class="col span_24">
<?php echo $this->element("article") ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action']) ) );
			?>
	</ul>
</div>

</article>

<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/updown_up_sp')) ?>
<article class="col span_17">
<h3><?php echo h(sprintf('%s > %s', $this->element('group_name', array('group_id' => $_group_id)), __("manage_groups.add.sp", true))) ?></h3>

<?php echo $form->create('ManageGroup', array('action' => 'add_up_sp_save')); ?>
<?php echo $form->hidden('selectedSpc'); ?>
<?php echo $form->hidden('spc'); ?>
		<?php if (!empty($provideAttributeList)): ?>
		<div>
			<?php echo __("manage_groups.add.up.sp.agreement.description", true) ?>
			<div><?php echo __("manage_groups.add.agree.inviting", true) ?></div>
			<div><?php echo __("manage_groups.add.agree.self.inviting", true) ?></div>
		</div>
		<?php endif; ?>

		<?php foreach ($nomAPserviceList as $spcid => $service): ?>
		<div style="padding-bottom:20px;"></div>
		<table class="form group_width" style="padding-bottom:10px;">
			<tr>
				<th><?php echo __("common.sp.service.name", true) ?></th>
				<td>
					<span>
					<?php echo $this->element('images_sp_group',
							array('groupid' => $spcid, 'width' => 32, 'height' => 32, 'spcIcon' => $service['spc_icon'])) ?>
					</span>
					<?php
						e(h($service['name']['jp'][0]));
					?>
				</td>
			</tr>
		</table>
		<?php endforeach; ?>

		<div style="padding-bottom:20px;"></div>
		<?php foreach ($provideAttributeList as $agreement): ?>
		<table class="form group_width" style="padding-bottom:10px;">
		<tr>
			<th><?php echo __("common.sp.service.name", true) ?></th>
			<td>
				<?php foreach ($agreement['spc_service_name_list'] as $serviceName): ?>
					<div>
						<span>
						<?php echo $this->element('images_sp_group',
								array('groupid' => $agreement['ProvideAttribute']['group_id'], 'width' => 32, 'height' => 32, 'spcIcon' => $agreement['spc_icon'])) ?>
						</span>
						<?php echo h($serviceName); ?>
					</div>
				<?php endforeach; ?>
			</td>
		</tr>
		<tr>
			<th><?php echo __("sp_groups.member.agreement", true) ?></th>
			<td>
				<?php $groupid = $agreement['ProvideAttribute']['group_id']; ?>
				<?php $agreement_values = Configure::read('agreement_values'); ?>
				<?php $agreement_types = array('ismemberof', 'eptid', 'name', 'mail', 'eppn', 'organization', 'idp', 'language', 'introduction'); ?>
				<?php foreach ($agreement_types as $agreement_type): $agreement_value = $agreement_values[$agreement_type]; ?>
					<?php if (!$agreement['ProvideAttribute'][$agreement_type]) continue; ?>
					<div>
						<p class="bold">
							<?php echo $form->checkbox($agreement_type.$groupid,
										array('label' => false, 'div' => false)); ?>
							<?php echo __("common.".$agreement_value['label'], true); ?>
						</p>
						<p><?php echo __(sprintf('common.%s.use', $agreement_value['use']), true) ?></p>
					</div>
				<?php endforeach; ?>
			</td>
		</tr>

		<?php if (!$agreement['ProvideAttribute']['ismemberof']
			&& !$agreement['ProvideAttribute']['eptid']
			&& !$agreement['ProvideAttribute']['name']
			&& !$agreement['ProvideAttribute']['mail']
			&& !$agreement['ProvideAttribute']['eppn']
			&& !$agreement['ProvideAttribute']['idp']
			&& !$agreement['ProvideAttribute']['language']
			&& !$agreement['ProvideAttribute']['introduction']): ?>
		<tr>
			<td colspan="2"><?php echo __("manage_groups.add.up.group.agreement.no_attributes", true) ?></td>
		</tr>
		<?php endif; ?>

		</table>
		<?php endforeach; ?>



		<div class="submitArea">
			<?php e($form->submit(__("common.use.service", true), array('name' => 'save', 'div'=> false, 'class' => 'submitBtn'))); ?>
			<?php e($form->submit(__("common.cancel", true), array('name' => 'cancel', 'div'=> false, 'class' => 'resetBtn'))); ?>
		</div>

<?php echo $form->end(); ?>

		</article>

