<article class="col span_24">
<?php echo $this->element("article") ?>
<?php echo $javascript->linkNoCache('group_template'); ?>
<?php echo $javascript->linkNoCache('group_language'); ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<?php if ($groupAttribute === 'idp'): ?>
<script type="text/javascript">
$(function(){
	$("#GroupPublic1").attr("disabled", true);
	$("label[for=GroupPublic1]").addClass("disnoneText");
	$("#GroupOpenmember1").attr("disabled", true);
	$("label[for=GroupOpenmember1]").addClass("disnoneText");
});
</script>
<?php endif; ?>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action']) ) );
			?>
	</ul>
</div>

</article>

<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$groupid.'/edit')) ?>
<article class="col span_17">
<h3><?php echo h(sprintf('%s > %s', $this->element('group_name', array('group_id' => $groupid)), __("left.menu.group.edit", true))) ?></h3>


<?php echo $form->create('ManageGroup', array('action' => 'edit', 'type' => 'file')); ?>
<?php echo $form->input('id', array('type'=>'hidden')); ?>
<?php echo $form->input('name', array('type'=>'hidden')); ?>
<?php echo $form->input('name_en', array('type'=>'hidden')); ?>
<?php echo $form->input('autoGroup', array('type'=>'hidden')); ?>

<?php if ($groupAttribute === 'o'): ?>
	<div style="padding-bottom:16px;">
		<?php echo __('groups.auto.o.group.description') ?>
	</div>
<?php elseif ($groupAttribute === 'ou'): ?>
	<div style="padding-bottom:16px;">
		<?php echo __('groups.auto.ou.group.description') ?>
	</div>
<?php elseif ($groupAttribute === 'idp'): ?>
	<div style="padding-bottom:16px;">
		<?php echo __('groups.auto.idp.group.description') ?>
	</div>
<?php endif;?>

<table class="form">
	<tr>
		<th><?php echo __('groups.public.setting', true) ?></th>
		<td>
		<?php
			echo $form->radio('public', array(
				'1' => __("common.public", true).'<br/>',
				'0' => __("common.private", true),
			), array('legend' => false, 'class' => 'GroupPublic', 'id' =>'GroupPublic'));
		?>
		</td>
	</tr>
	<tr id="GroupSearch">
		<th><?php echo __('groups.question.search', true) ?></th>
		<td>
		<?php
			echo $form->radio('search', array(
				'1' => __("groups.answer.search", true).'<br/>',
				'0' => __("groups.answer.no.search", true).'<br/>',
			), array('legend' => false, 'class' => 'GroupSearch'));
		?>
		</td>
	</tr>
	<tr>
		<th><?php echo __('groups.question.invite', true) ?></th>
		<td>
		<?php
			echo $form->radio('inspectjoin', array(
				'0' => __("groups.answer.free.join", true).'<br/>',
				'1' => __("groups.answer.need.approval", true).'<br/>',
				'2' => __("groups.answer.limit", true).'<br/>',
			),
			array('legend' => false, 'id' => 'GroupInspectjoin'));
		?>
		</td>
	</tr>
	<tr>
		<th><?php echo __('groups.question.member.public', true) ?></th>
		<td>
		<?php
			echo $form->radio('openmember', array(
				'2'=> __("groups.answer.all.public", true).'<br/>',
				'1'=> __("groups.answer.join.public", true).'<br/>',
				'0'=> __("groups.answer.none.public", true),
				),
			array('legend' => false, 'id' => 'GroupOpenmember'));
		?>
		</td>
	</tr>
	<tr>
		<th><?php echo __("common.group.name", true) ?></th>
		<td>
			<?php if (!$this->data['ManageGroup']['autoGroup']): ?>
				<?php echo $form->input('name',
						array('label' => false, 'div' => false, 'size' => 40)); ?>
			<?php else: ?>
				<?php echo $this->data['ManageGroup']['name']; ?>
			<?php endif; ?>
 		</td>
	</tr>
	<tr>
		<th><?php echo __("common.group.id", true) ?></th>
		<td>
			<?php echo $this->data['ManageGroup']['group_key'] ?>
			<?php echo $form->input('group_key', array('type'=>'hidden')); ?>
		</td>
	</tr>
	<tr>
		<th>
			<?php echo __("common.group.introduction", true) ?>
		</th>
		<td>
			<?php echo $form->input('introduction', array(
					'rows' => '8', 'cols' => '55', 'label' => false)); ?>
			<p><?php echo __("groups.instroduction.condition", true) ?></p>
		</td>
	</tr>

	<tr>
		<th>
			<?php echo __("common.group.icon", true) ?>
		</th>
		<td>
			<?php $selected_icon = isset($this->data['ManageGroup']['icon']) ? $this->data['ManageGroup']['icon'] : 0 ?>
			<?php echo $form->input('file', array('type' => 'file', 'label' => false)); ?>
			<div><?php echo __("common.select.icon", true) ?></div>
			<?php $iconTitles = Configure::read('group_icon_titles') ?>
			<?php
				$hasUserIcon = $this->requestAction('/images/has_user_icon/50/'.$groupid);
				$userDefault = '';
				if ($selected_icon == 0) {	// ユーザアイコンが選択されている
					$userDefault = " checked='checked'";
				}
			?>
			<?php foreach (Configure::read('group_icons') as $group_icon): ?>
				<?php $checked = $selected_icon == $group_icon ? 'checked="checked"' : '' ?>
				<div style="text-align:center;float:left;margin:6px;">
					<label>
						<?php echo $html->image(sprintf('group/%d/icon_group_%02d.png', 50, $group_icon),
							array('width' => '50px', 'title' => $iconTitles[$group_icon])); ?>
						<br />
							<input type="radio" name="data[ManageGroup][icon]" value="<?php echo h($group_icon) ?>" <?php echo $checked ?>>
					</label>
				</div>
			<?php endforeach; ?>
			<?php if ($hasUserIcon): // ユーザアイコンあり ?>
				<div style="text-align:center;float:left;margin:6px;">
					<label>
						<?php echo $html->image('/images/user_icon/50/'.$groupid,
							array('width' => '50px', 'title' => 'user')); ?>
						<br />
						<input type="radio" name="data[ManageGroup][icon]" value="0" <?php echo $userDefault ?>>
					</label>
				</div>
			<?php endif; ?>
		</td>
	</tr>
	<?php if ($this->data['ManageGroup']['active'] == 0): ?>
	<tr>
		<th>
			<?php echo __("left.menu.group.suspend", true) ?>
		</th>
		<td>
			<div></div>
			<?php
				echo $form->radio('active', array(
					'1' => __("manage_groups.suspend", true).'<br/>',
					'0' => __("manage_groups.not.suspend", true)),
				array('legend' => false,));
			?>
		</td>
	</tr>
	<?php endif; ?>
	<?php if ($this->data['ManageGroup']['active'] == 1): ?>
	<tr>
		<th>
			<?php echo __("left.menu.group.resume", true) ?>
		</th>
		<td>
			<div></div>
			<?php
				echo $form->radio('active', array(
					'0' => __("manage_groups.resume", true).'<br/>',
					'1' => __("manage_groups.not.suspend", true)),
				array('legend' => false,));
			?>
		</td>
	</tr>
	<?php endif; ?>

	<tr>
		<th>
			<?php echo __("groups.title.independence", true) ?>
		</th>
		<td>
			<div><?php echo __("groups.question.independence.sub", true) ?></div>
			<?php
				echo $form->radio('independence', array(
					'1' => __("groups.answer.independence", true).'<br/>',
					'0' => __("groups.answer.not.independence", true)),
				array('legend' => false, 'class' => 'GroupIndependence'));
			?>
			<?php if ($currentIndependence == 1): ?>
			<div class="topBottomGroup" style="margin-top:3px;font-size:80%;">
				<?php echo __("manage_groups.independent.notice", true) ?>
			</div>
			<?php endif; ?>
		</td>
	</tr>

	<?php if (empty($bottomGroupList) && $currentIndependence == 0): ?>
	<tr class="topBottomGroup">
		<th class="topBottomGroup">
			<?php echo __("manage_groups.up.group.name", true) ?>
		</th>
		<td class="topBottomGroup">
			<div style="padding-bottom:5px;"><?php echo __("groups.top.description", true); ?></div>
			<?php if (!empty($topGroupList)): ?>
				<?php foreach ($topGroupList as $id => $name): ?>
						<span><?php echo $html->link($name, '/group_lists/detail/'.$id, array('style' => 'padding-right:10px;color: blue')); ?></span>
						<span style="border:1px solid blue;padding-right:2px;padding-left:2px;"><?php echo $html->link(__("common.group.disconnect", true), '/admin/manage_groups/delete_connection/up/'.$id.'/'.$groupid, array()); ?></span>
				<?php endforeach; ?>
			<?php endif; ?>
			<div style="padding-top:10px;">
				<span><?php echo $html->link(__("manage_groups.add.up", true), '/admin/manage_groups/add_up/'.$groupid, array()); ?></span>
			</div>
		</td>
	</tr>
	<?php endif; ?>

	<?php if (empty($topGroupList) && $currentIndependence == 0): ?>
	<tr class="topBottomGroup">
		<th class="topBottomGroup">
			<?php echo __("manage_groups.down.group.name", true) ?>
		</th>
		<td class="topBottomGroup">
			<div style="padding-bottom:5px;"><?php echo __("groups.bottom.description", true); ?></div>
			<?php if (!empty($bottomGroupList)): ?>
				<?php foreach ($bottomGroupList as $id => $name): ?>
					<div>
						<span><?php echo $html->link($name, '/group_lists/detail/'.$id, array('style' => 'padding-right:10px;color: blue')); ?></span>
						<span style="border:1px solid blue;padding-right:2px;padding-left:2px;"><?php echo $html->link(__("common.group.disconnect", true), '/admin/manage_groups/delete_connection/down/'.$id.'/'.$groupid, array()); ?></span>
					</div>
				<?php endforeach; ?>
			<?php endif; ?>
			<div style="padding-top:10px;">
				<span><?php echo $html->link(__("manage_groups.add.down", true), '/admin/manage_groups/add_down/'.$groupid, array()); ?></span>
			</div>
		</td>
	</tr>
	<?php endif; ?>

	<tr class="topBottomGroup">
		<th class="topBottomGroup">
			<?php echo __("groups.title.allow.bottom", true) ?>
		</th>
		<td class="topBottomGroup">
			<div><?php echo __("groups.question.down", true) ?></div>
			<?php
				echo $form->radio('down_permission', array(
					'0' => __("groups.answer.not.permit", true).'<br/>',
					'2' => __("groups.answer.admin.approval", true).'<br/>',
					'1' => __("groups.answer.free.permission", true)),
				array('legend' => false,));
			?>
		</td>
	</tr>
	<tr class="topBottomGroup">
		<th class="topBottomGroup">
			<?php echo __("groups.title.allow.top", true) ?>
		</th>
		<td class="topBottomGroup">
			<div><?php echo __("groups.question.up", true) ?></div>
			<?php
				echo $form->radio('up_permission', array(
					'0' => __("groups.answer.not.permit", true).'<br/>',
					'2' => __("groups.answer.admin.approval", true).'<br/>',
				),
				array('legend' => false,));
			?>
		</td>
	</tr>
</table>

	<div class="submitArea">
		<?php e($form->submit(__("common.save", true), array('name' => 'save', 'div'=> false, 'class' => 'submitBtn'))); ?>
		<?php e($form->submit(__("common.cancel", true), array('name' => 'cancel', 'div'=> false, 'class' => 'resetBtn'))); ?>
	</div>

<?php echo $form->end(); ?>

		</article>

