<?php $_group_id = $ManageGroup['ManageGroup']['id'] ?>
<?php $less = $this->data['ManageGroup']['forcibleAdmission']; ?>
<?php $pageText = ($less) ? __("manage_groups.invite.less", true) : __("left.menu.invitation", true); ?>

<?php if ($this->data['ManageGroup']['sp']): ?>

<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/invite')) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>

<?php else: ?>

<article class="col span_24">
<?php echo $this->element("article") ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action']) ) );
			?>
	</ul>
</div>

</article>
<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/invite')) ?>
<article class="col span_17">

<?php endif ?>

<?php echo $javascript->linkNoCache('invite'); ?>
<h3><?php echo h(sprintf('%s > %s', $this->element('group_name', array('group_id' => $_group_id)), $pageText)) ?></h3>


<?php echo $form->create('ManageGroup', array('action' => 'invite/')); ?>
<?php echo $form->hidden('id', array('value'=> $ManageGroup['ManageGroup']['id'], 'id' => 'groupid')); ?>
<?php echo $form->hidden('sp', array('value'=> $this->data['ManageGroup']['sp'])); ?>
<?php
$name = __("common.group", true);
if ($this->data['ManageGroup']['sp'])
	$name =  __("common.sp", true);
?>


<?php if (isset($this->data['ManageGroup']['defaultLang'])): ?>
	<?php echo $form->hidden('defaultLang', array('id' => 'defaultLang', 'value'=> $this->data['ManageGroup']['defaultLang'])); ?>
<?php else: ?>
	<?php echo $form->hidden('defaultLang', array('id' => 'defaultLang', 'value'=> $this->Session->read('accountLanguage'))); ?>
<?php endif; ?>

<?php echo $form->hidden('english', array('id' => 'english', 'value'=> __("common.english", true))); ?>
<?php echo $form->hidden('japanese', array('id' => 'japanese', 'value'=> __("common.japanese", true))); ?>
<?php echo $form->hidden('UserName', array('id' => 'japanese', 'value'=> $this->data['ManageGroup']['UserName'])); ?>
<?php if (!isset($this->data['ManageGroup']['jaTemplate'])): ?>
	<?php echo $form->hidden('jaTemplate', array('id' => 'jaTemplate',
							'value' => $jaTmpVal)); ?>
	<?php echo $form->hidden('engTemplate', array('id' => 'engTemplate',
							'value' => $engTmpVal)); ?>
<?php else: ?>
	<?php echo $form->hidden('jaTemplate', array('id' => 'jaTemplate',
								'value' => $this->data['ManageGroup']['jaTemplate'])); ?>
	<?php echo $form->hidden('engTemplate', array('id' => 'engTemplate',
								'value' => $this->data['ManageGroup']['engTemplate'])); ?>
<?php endif; ?>
<?php if ($less): ?>
	<?php echo $form->hidden('forcibleAdmission', array('value'=> '1')); ?>
<?php endif; ?>

	<div id="contents">
	<div class="group">
		<table class="form group_width">
			<?php if (!$less && !$this->data['ManageGroup']['sp'] && $forcibleAdmission && !$this->data['ManageGroup']['idp']): ?>
			<tr style="border: 2px solid #0000CD;">
				<td>
					<label>
					<?php echo $html->link(__("common.forcible.admission", true), '/admin/manage_groups/invite/'.$_group_id.'?less=1', array()); ?>
					</label>
					<div class="input_hosoku"><?php echo __("manage_groups.invite.less.invitation.description", true) ?></div>
				</td>
			</tr>
			<?php endif; ?>
			<tr>
				<td class="bottom2">
					<?php echo ($less) ? __("manage_groups.invite.less.address.person", true) : __("manage_groups.invite.address.person", true); ?>
					<?php if (!$less): ?>
						<span class="required"><?php echo __("manage_groups.invite.onetime", true) ?></span>
					<?php endif; ?>
					<?php echo $form->input('mailaddress', array('label' => false, 'rows' => '6', 'cols' => '64', 'wrap' => 'off')); ?>
					<div class="input_hosoku"><?php echo ($less) ? __("manage_groups.invite.less.address.description", true) :
										__("manage_groups.invite.address.description", true); ?></div>
					<div class="input_hosoku"><?php echo __("manage_groups.invite.break", true) ?></div>
					<div class="input_hosoku"><?php echo ($less) ? __("manage_groups.invite.less.notice.address", true) :
										__("manage_groups.invite.notice.address", true); ?></div>
				</td>
			</tr>
			<?php $group_invite = $this->element("mygroups_member", $this->requestAction('/mygroups/member', array(
					'groupid' => $_group_id, 'model' => 'ManageGroup', 'data' => $this->data['ManageGroup']
			))) ?>
			<?php if (trim($group_invite)): ?>
			<tr>
				<td class="bottom2">
					<?php echo $group_invite ?>
				</td>
			</tr>
			<?php endif; ?>

			<?php if ($this->data['ManageGroup']['sp']): ?>
				<?php echo $form->hidden('mailaddress_ml') ?>
			<?php elseif (!$less): ?>
			<tr>
				<td class="bottom2">
					<?php echo __("manage_groups.invite.address.ml", true) ?>
					<span class="required"><?php echo __("manage_groups.invite.aweek", true) ?></span>
					<?php echo $form->input('mailaddress_ml', array('label' => false)); ?>
					<?php echo __("manage_groups.invite.address.ml.description", true) ?>
				</td>
			</tr>
			<?php endif; ?>
			<tr>
				<td class="bottom2">
					<div><?php echo ($less) ? __("manage_groups.invite.less.text", true) :
										__("manage_groups.invite.text", true); ?></div>
					<div class="weak">
					<div>(<?php echo __("manage_groups.invite.text.condition", true) ?>)</div>
					<?php echo __("manage_groups.invite.text.description", true) ?>
						<span style="margin-left:50px;">
							<?php echo __("manage_groups.swith.template", true)." : "; ?>
							<input type="button" onclick="changeTmplate();" id="templateButtom" value="dummy" />
						</span>
					</div>
					<?php $val = ""; ?>
					<?php if (empty($this->data['ManageGroup']['introduction'])): ?>
						<?php if ($this->Session->read('accountLanguage') === 'ja'): ?>
							<?php if (isset($jaTmpVal)) $val = $jaTmpVal; ?>
						<?php else: ?>
							<?php if (isset($engTmpVal)) $val = $engTmpVal; ?>
						<?php endif; ?>
					<?php else: ?>
						<?php
							$val = $this->data['ManageGroup']['introduction'];
						?>
					<?php endif; ?>
					<?php echo $form->input('introduction',
						array('id' => "introduction", 'label' => false, 'rows' => '12', 'cols' => '70', 'maxlength' => '1024', 'wrap' => 'off',
						'value' => $val)); ?>
					<?php echo ($less) ? __("manage_groups.invite.less.url.description", true) :
										__("manage_groups.invite.url.description", true); ?>
				</td>
			</tr>
		</table>
		<div style="padding-top:10px;color:red;">
		<?php if ($less): ?>
			<?php echo __("manage_groups.invite.less.notice.replyto", true) ?> <br/>
		<?php else: ?>
			<?php echo __("manage_groups.invite.notice.join", true) ?> <br/>
			<?php echo __("manage_groups.invite.notice.replyto", true) ?> <br/>
		<?php endif; ?>
		</div>

		<div class="submitArea">
			<?php e($form->submit(__("common.confirmation", true), array('name' => 'confirm', 'div'=> false, 'class' => 'submitBtn'))); ?>
			<?php e($form->submit(__("common.cancel", true), array('name' => 'cancel', 'div'=> false, 'class' => 'resetBtn'))); ?>
		</div>
	</div>
	</div>
<?php echo $form->end(); ?>

        </article>
