<?php $_group_id = $this->data['ManageInspect']['id'] ?>
<article class="col span_24>">
<?php echo $this->element("article") ?>
<?php $titles = array($this->element('group_name', array('group_id' => $_group_id)), __("left.menu.inspect.sp.connect.history", true)) ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action'] . '/1') ) );
			?>
	</ul>
</div>

</article>
<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/group_inspect_sp_history')) ?>
<article class="col span_17">
<h3><?php echo h(implode(' > ', $titles)) ?></h3>


<?php echo $form->create('ManageInspect', array('action' => 'inspect')); ?>
	<div id="contents">
	<div class="group">
	<?php echo __("manage_inspects.sp.connect.history.message", true) ?>
	<br/><br/>

	<?php if (empty($upGroups)): ?>
		<span class="strong"><?php echo __("manage_inspects.history.no.data", true); ?></span>
	<?php else: ?>
		<table class="group_width">
			<tr>
				<th class="list_title"><?php echo __("manage_inspects.from.sp", true) ?></th>
				<th width="320" class="list_title"><?php echo __("common.introduction", true) ?></th>
				<th width="150" class="list_title"><?php echo __("manage_inspects.examination.result", true) ?></th>
			</tr>
	        <?php foreach ($upGroups as $group): ?>
	        <tr class="list_detail">
	                <td>
	                    <div><?php echo h($group['ManageGroup']['name']); ?></div>
	                    <div><?php echo h($group['ManageGroup']['name_en']); ?></div>
	                </td>
	                <td>
	                    <div><?php echo h($group['ManageGroup']['introduction']); ?></div>
	                    <div><?php echo h($group['ManageGroup']['introduction_en']); ?></div>
	                </td>
	                <td>
					<?php
						if ($group['AddGroupInspect']['status'] == 1)
							echo __("manage_inspects.status.approval", true);
						else if ($group['AddGroupInspect']['status'] == 2)
							echo __("manage_inspects.status.rejection", true);
						else if ($group['AddGroupInspect']['status'] == 3)
							echo __("manage_inspects.status.cancel", true);
					?>
					</td>
	        </tr>
	        <tr>
	        	<td class="list_detail_end" colspan="3">
	        	<span class="weak"><?php echo __("manage_inspects.processing.time", true) ?><?php echo $group['AddGroupInspect']['modified']; ?></span>
	        	<span class="weak" style="margin-left:65px;"><?php echo __("manage_inspects.time", true) ?><?php echo $group['AddGroupInspect']['created']; ?></span>
	        	</td>
	        </tr>
	        <?php endforeach; ?>
		</table>
	<?php endif; ?>

	</div>
	</div>
<?php echo $form->end(); ?>

        </article>
