<?php $_group_id = $this->data['ManageInspect']['id'] ?>
<article class="col span_24">
<?php echo $this->element("article") ?>
<?php $titles = array($this->element('group_name', array('group_id' => $_group_id)), __("left.menu.sp.application.state", true)) ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action'] . '/1') ) );
			?>
	</ul>
</div>

</article>
<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/group_inspect_sp_state')) ?>
<article class="col span_17">
<h3><?php echo h(implode(' > ', $titles)) ?></h3>


<?php echo $form->create('ManageInspect', array('action' => 'state')); ?>
	<div id="contents">
	<div class="group">
	<?php echo __("manage_inspects.sp.state.message", true) ?>
	<br/>
	<br/>
		<table class="group_width">
			<tr style="border-bottom: 2px #C0C0C0 solid;">
				<th width="180" class="list_title"><?php echo __("manage_inspects.sp.application", true) ?></th>
				<th colspan="1" class="list_title"><?php echo __("manage_inspects.state.application", true) ?></th>
				<th colspan="1" class="list_title"><?php echo __("manage_inspects.cancel.application", true) ?></th>
			</tr>
	        <?php foreach ($groups as $group): ?>
	        <tr class="list_detail">
	                <td>
	                    <div><?php echo h($group['ManageGroup']['name']); ?></div>
	                    <div><?php echo h($group['ManageGroup']['name_en']); ?></div>
	                </td>
					<td>
	                    <?php
	                    	if ($group['AddGroupInspect']['status'] == 0)
	                    		echo __("manage_inspects.status.now", true);
	                    	else if ($group['AddGroupInspect']['status'] == 1)
	                    		echo __("manage_inspects.status.approval", true);
	                    	else if ($group['AddGroupInspect']['status'] == 2)
	                    		echo __("manage_inspects.status.rejection", true);
	                    	else if ($group['AddGroupInspect']['status'] == 3)
	                    		echo __("manage_inspects.status.cancel", true);
	                    		?>
	                </td>
	                <td>
	                	<?php
	                	if ($group['AddGroupInspect']['status'] == 0) {
	                		echo $html->link(__("manage_inspects.exec.cancel", true), '/admin/manage_inspects/group_inspect_cancel_sp/'.$group['AddGroupInspect']['id'].'/'.$this->data['ManageInspect']['id']);
	                	} else {
	                		echo '-';
	                	}
	                	?>
	                </td>
	        </tr>
	        <tr style="border-bottom: 2px #C0C0C0 solid;">
	        	<td class="list_detail_end" colspan="5">
	        	<span class="weak">
	        		<?php echo __("manage_inspects.time", true) ?><?php echo $group['AddGroupInspect']['created']; ?>
	        	</span>
	        	</td>
	        </tr>
	        <?php endforeach; ?>
		</table>
	</div>
	</div>

<?php echo $form->end(); ?>

        </article>
