<?php /* Modified by SOUM Corporation, 2016 */ ?>
		<?php foreach ($resultList as $spcid => $result): ?>
		<li id="<?php e($spcid) ?>" class="<?php e($spcclass) ?>">
			<div class='service'>
			<?php if ($result['spc_icon'] == NULL && $result['spc_icon_logo']): ?>
				<?php
				$logoLink = false;
				if ($result['sp_type'] == 3) {
					if (!empty($result['serviceUrl']) && ($result['group_count'] == 0 ||
						($result['connectIdpGroup'] && $result['group_count'] == 1))) {
						$logoLink = true;
					}
					else if (!empty($result['serviceUrl']) && $result['group_count'] == 0) {
						$logoLink = true;
					}
				}
				elseif (!empty($result['serviceUrl']) && !$result['ismemberof']) {
					$logoLink = true;
				}
				elseif (!empty($result['serviceUrl']) && $result['ismemberof'] && $result['group_count'] == 1) {
					$logoLink = true;
				}
				?>
				<?php if ($logoLink): ?>
					<?php $serviceName = h($result['serviceName']); ?>
					<?php echo $html->link(
						$html->image('/images/sp_group/408/'.$spcid, array('class' => 'service_icon_logo',
							'title' => $serviceName, 'alt' => $serviceName)),
						$result['serviceUrl'], array('target' => '_blank',
						'class' => 'tips service_link', 'data-spcid' => $spcid,
						'title' => $serviceName, 'escape' => false)); ?>
				<?php else: ?>
					<?php echo $html->image('/images/sp_group/408/'.$spcid,
						array('class' => 'service_icon_logo tips service_name_nolink',
							'data-spcid' => $spcid, 'title' => $result['serviceName'],
							'alt' => $result['serviceName'])) ?>
				<?php endif; ?>
			<?php else: ?>
				<?php echo $this->element('images_sp_group',
					array('groupid' => $spcid, 'width' => 48, 'height' => 48, 'class' => 'service_icon', 'spcIcon' => $result['spc_icon'])) ?>
				<?php // ハイブリッド型
					if ($result['sp_type'] == 3):
				?>
					<?php if (!empty($result['serviceUrl']) && ($result['group_count'] == 0 ||
					          ($result['connectIdpGroup'] && $result['group_count'] == 1))): ?>
						<?php echo $html->link($result['serviceName'], $result['serviceUrl'],
							array('target' => '_blank',
								'class' => 'service_name tips service_link '.$result["serviceSize"],
								'style' => 'color:black;',
								'data-spcid' => $spcid,
								'title' => $result['serviceName'],
								));
						?>
					<?php else: ?>
						<?php if (!empty($result['serviceUrl']) && $result['group_count'] == 0): ?>
							<?php echo $html->link($result['serviceName'], $result['serviceUrl'],
								array('target' => '_blank',
									'class' => 'service_name tips service_link '.$result["serviceSize"],
									'style' => 'color:black;',
									'data-spcid' => $spcid,
									'title' => $result['serviceName'],
									));
							?>
						<?php else: ?>
							<span class="tips" title="<?php e($result['serviceName']); ?>">
								<span style="cursor:pointer" class="service_name service_name_nolink <?php e($result["serviceSize"]); ?>". data-spcid="<?php e($spcid)?>"><?php e($result['serviceName']); ?></span>
							</span>
						<?php endif; ?>
					<?php endif; ?>
				<?php elseif (!empty($result['serviceUrl']) && !$result['ismemberof']): ?>
					<?php echo $html->link($result['serviceName'], $result['serviceUrl'],
							array('target' => '_blank',
								'class' => 'service_name tips service_link '.$result["serviceSize"],
								'style' => 'color:black;',
								'data-spcid' => $spcid,
								'title' => $result['serviceName'],
								)); ?>
				<?php elseif (!empty($result['serviceUrl']) && $result['ismemberof'] && $result['group_count'] == 1): ?>
					<?php echo $html->link($result['serviceName'], $result['serviceUrl'],
							array('target' => '_blank',
								'class' => 'service_name tips service_link '.$result["serviceSize"],
								'style' => 'color:black;',
								'data-spcid' => $spcid,
								'title' => $result['serviceName'],
								)); ?>
				<?php else: ?>
					<span class="tips" title="<?php e($result['serviceName']); ?>">
						<span style="cursor:pointer" class="service_name service_name_nolink <?php e($result["serviceSize"]); ?>" data-spcid="<?php e($spcid)?>"><?php e($result['serviceName']); ?></span>
					</span>
				<?php endif; ?>
			<?php endif; ?>
			</div>

			<div class="change_show" style="cursor:default;border-radius:2px;">
				<?php if($result['ismemberof'] && ($result['group_count'] != 0) &&
				             !($result['sp_type'] == 3 && $result['connectIdpGroup']
				              && $result['group_count'] == 1)): ?>
					<a id="<?php e($spcid) ?>_gr_show" class="group_show" style="cursor:pointer;">
						<?php echo __("top.group.show", true) ?>
					</a>
				<?php endif;?>
				<a id="<?php e($spcid) ?>_tg_show" class="tag_show" style="cursor:pointer;float:right; margin-top:1px;"><?php echo $html->image("/img/tag.svg", array('class' => 'spcIcon')) ?></a>
				<?php if ($result['introduction']): ?>
					<a id="<?php e($spcid) ?>_intro_show" class="introduction_show" style="cursor:pointer;float:right"><?php echo $html->image("/img/intro.svg", array('class' => 'spcIcon')) ?></a>
				<?php endif;/*introduction*/ ?>
				<?php if (!empty($result['link_for_idp_administrator'])): ?>
					<div class="link_for_idp_administrator">
						<?php $link_for_idp_admin_img = $html->image('/img/gear_gold.svg', array('class' => 'spcIcon'));?>
						<?php echo $html->link($link_for_idp_admin_img, $result['link_for_idp_administrator'], array('escape' => false, 'target' => '_blank')); ?>
					</div>
				<?php endif;/*link_for_idp_administrator*/ ?>
				<?php if (isset($result['private_service'])): ?>
					<div class="private_service">
						<?php $private_service_edit_img = $html->image('/img/gear_silver.svg', array('class' => 'spcIcon'));?>
						<?php echo $html->link($private_service_edit_img, '/private_services/edit/'.$spcid, array('escape' => false)); ?>
					</div>
				<?php endif;/*private_service*/ ?>
			</div>

			<?php if ($result['ismemberof'] && isset($result['group_count']) && $result['group_count'] != 0): ?>
			<div id="<?php e($spcid) ?>_groups" class="groups" style="background-color:#FFFFB5;">
				<?php foreach($result as $groupid => $service): ?>
					<?php
						// グループIDのみ処理をする
						if (!is_numeric($groupid)) {
							continue;
						}
					?>
					<?php
						$group_name = $service['group_name'];
						$group_icon = $service['group_icon'];
						$group_image = $this->element('images_group', array('size' => 20, 'groupid' => $groupid, 'groupName' => $group_name, 'icon' => $group_icon));
						$title = sprintf('%s%s', $group_image, h($group_name));
					?>
					<div class="grpName" style="padding:4px 4px 0px 10px;">
						<?php echo $html->link($title, $service['url'], array('escape' => false, 'target' => '_blank')); ?>
						<?php if ($result['sp_type'] == 4): ?>
							<?php if ($result['connectIdpGroup']): ?>
								<span style="margin-left:5px;color: green">rw</span>
							<?php else: ?>
								<span style="margin-left:5px;color: #da4642">ro</span>
							<?php endif; ?>
						<?php endif; ?>
					</div>
				<?php endforeach; ?>
			</div>
			<?php endif; ?>
			<?php if ($result['introduction']): ?>
			<div id="<?php e($spcid) ?>_introductions" class="introductions" style="background-color:#FFFFB5;">
				<div class="grpIntro" style="padding:4px 4px 0px 10px;">
					<?php echo h($result['introduction']) ?>
				</div>
			</div>
			<?php endif;/*introduction*/ ?>
			<div id="<?php e($spcid) ?>_tags" class="tags">
				<div class="tagName">
				<?php if (!empty($result['public_tag'])): ?>
					<?php foreach($result['public_tag'] as $tag): ?>
					<span class="public_tag"><?php echo $this->element('tag_link', array('tag' => $tag)) ?></span>
					<?php endforeach; ?>
				<?php endif;/*public_tag*/ ?>
				<?php if (!empty($result['tag'])): ?>
					<?php foreach($result['tag'] as $tag): ?>
					<span class="tag"><?php echo $this->element('tag_link', array('tag' => $tag)) ?></span>
					<?php endforeach; ?>
				<?php endif;/*tag*/ ?>
				</div>
				<div class="tag_edit"><?php echo $html->link(__('top.menu.tag', true), '/tags/edit/'.$spcid, array('class' => 'home', 'style' => 'font-size:80%')) ?></div>
			</div>
		</li>
		<?php endforeach; ?>
