<style>
.pending td {
	background-color: #F86D5A;
}
.second td {
	background-color: #FFFF00;
}
.first td {
}
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<script type="text/javascript">
	function sendManual(id) {
		$("#eppnid").val(id);
	}
	function deleteManual(id, special) {
		if (special == 1) {
			alert("管理者がこのアカウントのみの機関グループかSPコネクタがあるため削除できません。");
			return false;
		}
		$("#accountid").val(id);
		return confirm("アカウントを削除します。");
	}
</script>

<article class="col span_24">
<?php echo $this->element("article") ?>

<div>
<?php echo $form->create('SystemAccount', array('action' => 'invalid')); ?>
<?php echo $form->hidden('eppnid', array('id' => 'eppnid')); ?>
<?php echo $form->hidden('accountid', array('id' => 'accountid')); ?>
<?php $page = $this->data['SystemAccount']['page']; ?>
<?php echo $form->hidden('page', array('value'=> $page))?>
<h2>削除予定通知済みのアカウント一覧</h2>
	<div class="page page-top">
		<?php if (isset($prev) && $prev): ?>
			<?php echo $html->link(__("common.prev", true), sprintf('/system/accounts/invalid?page=%d', ($page - 1)), array('class' => 'page')); ?>
		<?php else: ?>
			<span class="page"><?php echo __("common.prev", true) ?></span>
		<?php endif; ?>
		&emsp;&emsp;&emsp;
		<?php if (isset($next) && $next): ?>
			<?php echo $html->link(__("common.next", true), sprintf('/system/accounts/invalid?page=%d', ($page + 1)), array('class' => 'page')); ?>
		<?php else: ?>
			<span class="page"><?php echo __("common.next", true) ?></span>
		<?php endif; ?>
	</div>
<table>
    <tr>
        <th>ID</th>
        <th>ePPN</th>
        <th>アカウントID</th>
        <th>氏名</th>
        <th>メールアドレス</th>
        <th>最終アクセス日時</th>
        <th>1回目送信日時</th>
        <th>2回目送信日時</th>
        <th>手動送信日時</th>
        <th>失敗アクセス日時</th>
        <th>管理グループ名(参加人数)</th>
    </tr>

    <?php foreach ($records as $record): ?>
    <?php
	$trClass = "first";
	if ($record['pending']) {
		$trClass = "pending";
	}
	elseif (isset($record['second'])) {
		$trClass = "second";
	}
    ?>
    <tr class="<?php echo $trClass; ?>">
        <td>
            <?php echo $record['id']; ?>
        </td>
        <td>
            <?php echo $record['eppn']; ?>
        </td>
        <td>
            <?php echo $record['accountid']; ?>
	    &nbsp;&nbsp;
            <?php if ($record['pending']) echo $form->submit('削除', array('name '=>'delete', 'div' => false, 'style' => 'width:40px;height:23px;', 'onClick' => 'return deleteManual(' . $record['accountid'] . ', ' . $record['special'] . ');')); ?>
        </td>
        <td>
            <?php echo $record['name']; ?>
        </td>
        <td>
            <?php echo $record['mail']; ?>
        </td>
        <td>
            <?php echo $record['last_login_approx']; ?>
        </td>
        <td>
            <?php if (isset($record['first'])) echo $record['first']; ?>
        </td>
        <td>
            <?php if (isset($record['second'])) echo $record['second']; ?>
        </td>
        <td>
            <?php echo $form->submit('送信', array('name '=>'send', 'div' => false, 'style' => 'width:40px;height:23px;', 'onClick' => 'sendManual(' . $record['id'] . ');')) . '&nbsp;&nbsp;'; ?>
            <?php if (isset($record['manual'])) echo $record['manual']; ?>
        </td>
        <td>
            <?php echo $record['accessed']; ?>
	</td>
        <td>
    	    <?php
		if ($record['unlink']) {
			echo "一部ePPN紐付け解除のみ";
		}
		$pt = 0;
		foreach ($record['soloAdmin'] as $group) {
		    if ($pt != 0) {
			echo ', ';
		    }
		    if ($group['sp']) {
			echo $html->link($group['name'], '/sp_groups/detail/' . $group['id'], array('target' => '_blank')) . '(' . $group['count'] . ')';
		    }
		    else {
			echo $html->link($group['name'], '/group_lists/detail/' . $group['id'], array('target' => '_blank')) . '(' . $group['count'] . ')';
		    }
		    $pt = 1;
		}
   	    ?>
	</td>
        </tr>
   <?php endforeach; ?>
</table>
	<div class="page page-bottom">
		<?php if (isset($prev) && $prev): ?>
			<?php echo $html->link(__("common.prev", true), sprintf('/system/accounts/invalid?page=%d', ($page - 1)), array('class' => 'page')); ?>
		<?php else: ?>
			<span class="page"><?php echo __("common.prev", true) ?></span>
		<?php endif; ?>
		&emsp;&emsp;&emsp;
		<?php if (isset($next) && $next): ?>
			<?php echo $html->link(__("common.next", true), sprintf('/system/accounts/invalid?page=%d', ($page + 1)), array('class' => 'page')); ?>
		<?php else: ?>
			<span class="page"><?php echo __("common.next", true) ?></span>
		<?php endif; ?>
<?php echo $form->end(); ?>
</div>
</article>

