<?php echo $this->element("aside", array('span' => 6)) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<h3><?php echo h(__("top.menu.account", true)) ?></h3>

<?php echo $form->create('Account', array('action' => 'integration_step3')); ?>
<?php echo $form->input('random_key', array('type' => 'hidden')); ?>

<div id="contents">
	<span class="strong"><?php echo __("accounts.unify.step3", true) ?></span>
	<div style="padding-top:20px;">
		<div><?php echo __("accounts.unify.step3.description1.existing", true) ?></div>
		<div><?php echo __("accounts.unify.step3.description3", true) ?></div>
	</div>
	<div style="margin-top:20px;">
		<table>
		<?php if (!empty($account['Account']['eppnList'])): ?>
		<tr>
			<td class="input">ePPN</td>
			<td>
				<?php foreach ($account['Account']['eppnList'] as $eppn): ?>
					<div><?php echo $eppn; ?></div>
				<?php endforeach; ?>
			</td>
		</tr>
		<?php endif; ?>
		<?php if (!empty($account['Account']['eptidList'])): ?>
		<tr>
			<td class="input">ePTID</td>
			<td>
				<?php foreach ($account['Account']['eptidList'] as $eptid): ?>
					<div><?php echo h($eptid); ?></div>
				<?php endforeach; ?>
			</td>
		</tr>
		<?php endif; ?>

		<?php if (!empty($selectAccount['Account']['name'])): ?>
		<tr>
			<td class="input"><?php echo __("common.name", true) ?> (<?php echo __("common.japanese", true) ?>)</td>
			<td>
				<?php if (is_array($selectAccount['Account']['name'])): ?>
					<?php
						echo $form->radio('name', h($selectAccount['Account']['name']),
									array('legend' => false, 'default' => $account_id,
									'separator' => '<br/>',
									'style' => 'margin-left:5px;'));
					?>
				<?php else: ?>
					<?php echo h($selectAccount['Account']['name_value']) ?>
					<?php echo $form->input('name', array('type' => 'hidden', 'value' => $selectAccount['Account']['name'])); ?>
				<?php endif; ?>
			</td>
		</tr>
		<?php endif; ?>
		<?php if (!empty($selectAccount['Account']['name_en'])): ?>
		<tr>
			<td class="input"><?php echo __("common.name", true) ?> (<?php echo __("common.english", true) ?>)</td>
			<td>
				<?php if (is_array($selectAccount['Account']['name_en'])): ?>
					<?php
						echo $form->radio('name_en', h($selectAccount['Account']['name_en']),
									array('legend' => false, 'default' => $account_id,
									'separator' => '<br/>',
									'style' => 'margin-left:5px;'));
					?>
				<?php else: ?>
					<?php echo h($selectAccount['Account']['name_en_value']) ?>
					<?php echo $form->input('name_en', array('type' => 'hidden', 'value' => $selectAccount['Account']['name_en'])); ?>
				<?php endif; ?>
			</td>
		</tr>
		<?php endif; ?>

		<tr>
			<td class="input"><?php echo __("common.mailaddress", true) ?></td>
			<td>
				<?php if (is_array($selectAccount['Account']['mail'])): ?>
					<?php
						echo $form->radio('mail', h($selectAccount['Account']['mail']),
									array('legend' => false, 'default' => $account_id,
									'separator' => '<br/>',
									'style' => 'margin-left:5px;'));
					?>
				<?php else: ?>
					<?php echo h($selectAccount['Account']['mail_value']) ?>
					<?php echo $form->input('mail', array('type' => 'hidden', 'value' => $selectAccount['Account']['mail'])); ?>
				<?php endif; ?>
			</td>
		</tr>

		<?php if (!empty($selectAccount['Account']['university'])): ?>
		<tr>
			<td class="input"><?php echo __("common.affiliation", true) ?> (<?php echo __("common.japanese", true) ?>)</td>
			<td>
				<?php if (is_array($selectAccount['Account']['university'])): ?>
					<?php
						echo $form->radio('university', h($selectAccount['Account']['university']),
									array('legend' => false, 'default' => $account_id,
									'separator' => '<br/>',
									'style' => 'margin-left:5px;'));
					?>
				<?php else: ?>
					<?php echo h($selectAccount['Account']['university_value']) ?>
					<?php echo $form->input('university', array('type' => 'hidden', 'value' => $selectAccount['Account']['university'])); ?>
				<?php endif; ?>
			</td>
		</tr>
		<?php endif; ?>
		<?php if (!empty($selectAccount['Account']['university_en'])): ?>
		<tr>
			<td class="input"><?php echo __("common.affiliation", true) ?> (<?php echo __("common.english", true) ?>)</td>
			<td>
				<?php if (is_array($selectAccount['Account']['university_en'])): ?>
					<?php
						echo $form->radio('university_en', h($selectAccount['Account']['university_en']),
									array('legend' => false, 'default' => $account_id,
									'separator' => '<br/>',
									'style' => 'margin-left:5px;'));
					?>
				<?php else: ?>
					<?php echo h($selectAccount['Account']['university_en_value']) ?>
					<?php echo $form->input('university_en', array('type' => 'hidden', 'value' => $selectAccount['Account']['university_en'])); ?>
				<?php endif; ?>
			</td>
		</tr>
		<?php endif; ?>
		<tr>
			<td class="input"><?php echo __("common.language", true) ?></td>
			<td>
				<?php if (is_array($selectAccount['Account']['language'])): ?>
					<?php
						echo $form->radio('language', h($selectAccount['Account']['language']),
									array('legend' => false, 'default' => $account_id,
									'separator' => '<br/>',
									'style' => 'margin-left:5px;'));
					?>
				<?php else: ?>
					<?php echo h($selectAccount['Account']['language_value']) ?>
					<?php echo $form->input('language', array('type' => 'hidden', 'value' => $selectAccount['Account']['language'])); ?>
				<?php endif; ?>
			</td>
		</tr>

		<?php if (!empty($selectAccount['Account']['introduction'])): ?>
		<tr>
			<td class="input"><?php echo __("common.my.introduction", true) ?> (<?php echo __("common.japanese", true) ?>)</td>
			<td>
				<?php if (is_array($selectAccount['Account']['introduction'])): ?>
					<?php
						echo $form->radio('introduction', h($selectAccount['Account']['introduction']),
									array('legend' => false, 'default' => $account_id,
									'separator' => '<br/>',
									'style' => 'margin-left:5px;'));
					?>
				<?php else: ?>
					<?php echo h($selectAccount['Account']['introduction_value']) ?>
					<?php echo $form->input('introduction', array('type' => 'hidden', 'value' => $selectAccount['Account']['introduction'])); ?>
				<?php endif; ?>
			</td>
		</tr>
		<?php endif; ?>

		<?php if (!empty($selectAccount['Account']['introduction_en'])): ?>
		<tr>
			<td class="input"><?php echo __("common.my.introduction", true) ?> (<?php echo __("common.english", true) ?>)</td>
			<td>
				<?php if (is_array($selectAccount['Account']['introduction_en'])): ?>
					<?php
						echo $form->radio('introduction_en', h($selectAccount['Account']['introduction_en']),
									array('legend' => false, 'default' => $account_id,
									'separator' => '<br/>',
									'style' => 'margin-left:5px;'));
					?>
				<?php else: ?>
					<?php echo h($selectAccount['Account']['introduction_en_value']) ?>
					<?php echo $form->input('introduction_en', array('type' => 'hidden', 'value' => $selectAccount['Account']['introduction_en'])); ?>
				<?php endif; ?>
			</td>
		</tr>
		<?php endif; ?>
		</table>
	</div>

	<div class="submitArea">
		<?php e($form->submit(__("accounts.unify.excute.existing", true), array('name' => 'execute_diff_account', 'div'=> false, 'class' => 'submitBtn'))); ?>
		<?php e($form->submit(__("common.cancel", true), array('name' => 'cancel', 'div'=> false, 'class' => 'resetBtn'))); ?>
	</div>
</div>


<?php echo $form->end(); ?>

        </article>

