<?php echo $this->element("aside", array('span' => 6)) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<h3><?php echo h(__("common.use.atribute.agree", true)) ?></h3>

<?php echo $form->create('Agreement', array('action' => 'index')); ?>

	<?php echo __("agreements.index.description", true); ?>
	<?php if (!empty($adminGroupList)): ?>
		<?php echo __("agreements.index.admin.only", true); ?>
		<br />
		<?php foreach ($adminGroupList as $group): ?>
			&nbsp;<?php echo $html->link($group['name'], '/group_lists/detail/'.$group['id']); ?>
		<?php endforeach; ?>
	<?php endif; ?>
	<?php if (empty($this->data['Agreement'])): ?>
		<div class="strong" style="padding-top:50px;"><?php echo __("agreements.index.no.sp", true); ?></div>
	<?php else: ?>
	<div style="padding-top:20px;">
		<?php echo $form->input('internal_spid_list',
				array('type'=>'hidden', 'value' => $this->data['Agreement'][0]['internal_spid_list'])); ?>

		<?php foreach ($this->data['Agreement'] as $agreement): ?>
<?php //debug($agreement); ?>
			<?php echo $form->input('agreement_id'.$agreement['sp_id'],
					array('type'=>'hidden', 'value' => $agreement['id'])); ?>

			<?php echo $form->input('internal_spcid_list'.$agreement['sp_id'],
					array('type'=>'hidden', 'value' => $agreement['internal_spcid_list'])); ?>

			<div id="<?php echo $agreement['sp_id']; ?>"></div>
			<table class="span_18 form">
			<tr>
				<th><?php echo __("common.sp.service.name", true) ?></th>
				<td>
					<?php foreach ($agreement['spc_service_name_list'] as $serviceName): ?>
						<div>
						<?php echo h($serviceName); ?>
						<?php if (!$agreement['spc_service_active_list'][$serviceName]): ?>
						<span style="color:red">[<?php echo __("common.status.inactive", true) ?>]</span>
						<?php endif; ?>
						</div>
					<?php endforeach; ?>
				</td>
			</tr>
			<?php if (isset($agreement['top_group_name_list'])): ?>
				<?php if (!$agreement['nothing_agree_item']): ?>
				<tr>
					<?php $color = !$agreement['all_group_check'] ? 'color:red;' : '' ?>
					<th style="<?php echo $color ?>">
						<?php echo __("common.group.id", true) ?>
					</th>
					<td>
						<div style="<?php echo $color ?>">
							<?php echo $form->input('ismemberof'.$agreement['sp_id'],
									array('options' => $agreement['top_group_name_list'],
									'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,
									'default' => $agreement['top_group_select_id_list']));
							?>
						</div>
						<div style="padding-top:12px;"><?php echo __("common.group.id.use", true) ?></div>
					</td>
				</tr>
				<?php endif; ?>
			<?php endif; ?>

			<tr>
				<th><?php echo __("common.sp.use.attribute", true) ?></th>
				<td>
				<?php $agreement_values = Configure::read('agreement_values'); ?>
				<?php $agreement_types = array('eptid', 'name', 'mail', 'eppn', 'organization', 'idp', 'language', 'introduction'); ?>
				<?php foreach ($agreement_types as $agreement_type): $agreement_value = $agreement_values[$agreement_type]; ?>
					<?php if (!isset($agreement[$agreement_type])) continue; ?>

					<?php $color = !empty($agreement[$agreement_type]) || !$agreement['member'] ? '' : 'color:red;' ?>
					<div style="<?php echo $color ?>">
						<?php echo $form->input($agreement_type.$agreement['sp_id'],
								array('options' => array('1' => __(sprintf('common.%s', $agreement_value['label']), true)),
									'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,
									'default' => $agreement[$agreement_type]));
						?>
						<p><?php echo __(sprintf('common.%s.use', $agreement_value['use']), true) ?></p>
					</div>
				<?php endforeach; ?>
				</td>
			</tr>

		</table>
		<br />
		<?php endforeach; ?>
		<?php echo $form->input('delegation_list',
			array('type'=>'hidden', 'value' => implode(',', array_keys($agreeGroupList)))); ?>
		<?php if (!empty($agreeGroupList)): ?>
		<br />
		<table class="span_18 form">
			<tr>
				<th><?php echo __("agreements.index.automatically.agree", true) ?></th>
				<td>
					<?php echo $form->input('agree_group_list',
						array('options' => $agreeGroupList,
							'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,
							'default' => array_keys($agreeGroupList))); ?>
				</td>
			</tr>
		</table>
		<?php endif; ?>
	</div>

	<div class="submitArea">
		<?php e($form->submit(__("accounts.agree", true), array('name' => 'agree', 'div'=> false, 'class' => 'submitBtn'))); ?>
		<?php e($form->submit(__("common.cancel", true), array('name' => 'cancel', 'div'=> false, 'class' => 'resetBtn'))); ?>
	</div>
	<?php endif; ?>

<?php echo $form->end(); ?>

		</article>

