<?php echo $this->element("aside", array('span' => 6)) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<h3><?php echo __("group_lists.group.list", true); ?></h3>

<?php echo $this->element('search_form', array('word' => $word)) ?>

<div class="page page-top">
<?php if (isset($prev) && $prev): ?>
		<?php echo $html->link(__("common.prev", true), sprintf('/group_lists/search/?word=%s&page=%d', $word, ($page - 1)), array('class' => 'page')); ?>
<?php else: ?>
		<span class="page"><?php echo __("common.prev", true) ?></span>
<?php endif; ?>
　　　
<?php if (isset($next) && $next): ?>
		<?php  echo $html->link(__("common.next", true), sprintf('/group_lists/search?word=%s&page=%d', $word, ($page + 1)), array('class' => 'page')); ?>
<?php else: ?>
		<span class="page"><?php echo __("common.next", true) ?></span>
<?php endif; ?>
</div>

<?php foreach ($groups as $group): ?>
	<?php $group_name = $group['Group']['name'].$group['Group']['name_en'] ?>
        <?php $group_icon = $group['Group']['icon'] ?>
	<?php $group_image = $this->element('images_group', array('size' => 50, 'groupid' => $group['Group']['id'], 'groupName' => $group_name, 'icon' => $group_icon )) ?>
<div class="grp" style="margin-bottom:20px;">
	<div class="clearFix b10M">
		<div class="iconGrp" style="width:50px;">
			<?php echo $html->link($group_image, '/group_lists/detail/'.$group['Group']['id'], array('escape' => false)) ?>
		</div>
		<dl class="itemGrp clearfix" style="margin-left:56px;">
			<dt>
				<h4>
<?php echo $html->link($group_name, '/group_lists/detail/'.$group['Group']['id']) ?>(<?php echo $group['0']['count_member'] ?><?php echo __("common.person.number", true) ?>)
				</h4>
			</dt>
			<dd class="author">
				<ul class="itemState">
					<li class="author"><?php echo __('common.administrator', true) ?>:<?php echo h(implode(', ', $group_administrators[$group['Group']['id']])) ?></li>
				</ul>
				<p>
					<?php echo h($group['Group']['introduction'].$group['Group']['introduction_en']) ?>
				</p>
			</dd>
		</dl>
	</div>
</div>
<?php endforeach;?>

<div class="page page-bottom">
<?php if (isset($prev) && $prev): ?>
		<?php echo $html->link(__("common.prev", true), sprintf('/group_lists/search/?word=%s&page=%d', $word, ($page - 1)), array('class' => 'page')); ?>
<?php else: ?>
		<span class="page"><?php echo __("common.prev", true) ?></span>
<?php endif; ?>
　　　
<?php if (isset($next) && $next): ?>
		<?php  echo $html->link(__("common.next", true), sprintf('/group_lists/search?word=%s&page=%d', $word, ($page + 1)), array('class' => 'page')); ?>
<?php else: ?>
		<span class="page"><?php echo __("common.next", true) ?></span>
<?php endif; ?>
</div>

		</article>

