<?php //echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$group['Group']['id'].'/top')) ?>
<article class="col span_24">
<?php echo $this->element("article") ?>
<?php $group_name = $group['Group']['name'].$group['Group']['name_en'] ?>
<?php $group_icon = $group['Group']['icon'] ?>
<?php $group_image = $this->element('images_group', array('size' => 100, 'groupid' => $group['Group']['id'], 'groupName' => $group_name, 'icon' => $group_icon)) ?>

<style type="text/css">
<!--
#sortable {
	list-style-type: none;
	margin: 0 1px 0 0;
	padding: 1px;
/*	border : 1px solid #666666; */
	min-width: 100px;
	min-height:100px;
	border-style: none;
}
#sortable .ui-selected {
	background: red;
/*	color: white; */
}
#sortable li {
	float: left;
/*	width: 100px; */
	cursor: move;
	margin: 0px 2px 5px 2px;
	padding: 2px;
	background-color: #fff;
	box-shadow: 1px 1px 1px rgba(0,0,0,0.2);
	border-radius: 8px;
/*	height: 65px !important; */
}
@media only screen and (max-width: 768px) {
	#sortable li {
		height: 65px !important;
	}
	.tab_frame {
		visibility: hidden;
	}
	.displayServiceName {
		width: 85%;
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
	}
}
.sortableLi {
	border: solid 2px #E9AAAA !important;
}
.sortableLi:hover{
	background: none repeat scroll 0 0 #F5F5F5 !important;
}

.sortablePlaceholder {
	width: 50px;
	border : 2px solid #E9AAAA;
	border-style : dashed;
}

#sortable li div:child {
	text-align: center;
	margin-right: 20px;
}
</style>

<?php echo $html->script('jquery.ui.touch-punch.min.js') ?>
<script type="text/javascript">
	$(function() {
		$("#sortable").sortable({
			connectWith: 'ul',
			placeholder: 'sortablePlaceholder'
		}).disableSelection();

		// 並び順に変化あり
		$("#sortable").bind('sortupdate', function(event, ui) {
			var result = $("#sortable").sortable("toArray");
			$("#result").val(result);
			var resultData = $("#result").serialize();
			$.ajax({
				type: 'POST',
				url: '<?php echo $html->url('/internal_api/group_top_service_side_sort') ?>',
				data: "groupid=" + <?php echo $group['Group']['id'] ?> + "&" + resultData 
			}).done(function() {
			});
		});
	});
</script>

<style>
article,aside
{
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current" title="<?php echo $name; ?>"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>" title="<?php echo $name; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php echo $this->element("other_mygroups",
					$this->requestAction('/menus/other_mygroups/'.$selfGroupId, array("actionName" => $this->params['action']))); ?>
	</ul>
</div>

</article>


<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$group['Group']['id'].'/top')) ?>

<article class="col span_17">
<div class="grp">
	<div class="clearFix b10M">
		<div class="iconGrp">
			<?php echo $html->link($group_image, '/group_lists/detail/'.$group['Group']['id'], array('escape' => false)); ?>
		</div>
		<dl class="itemGrp clearfix">
			<dt>
				<h4 style="margin-bottom:5px;">
					<?php if ($group['Group']['public'] == 1): ?>
						<?php $privacy = __("common.public", true) ?>
					<?php elseif ($group['Group']['public'] == 2): ?>
						<?php $privacy = __("groups.answer.public.no.search", true) ?>
					<?php else: ?>
						<?php $privacy = __("common.private", true) ?>
					<?php endif; ?>
					<span class="grpPrivacy"><?php echo $privacy ?></span>
					<span class="grpPrivacy" style="margin-right:5px;background: none repeat scroll 0 0 #ffffff;border:solid 1px #e9aaaa;">
						<?php echo $html->link(__("group_lists.service.reset", true), '/group_lists/reset/'.$group['Group']['id'], array('escape' => false, 'style' => 'color:#000')); ?>
					</span>

					<?php echo $html->link($group_name, '/group_lists/detail/'.$group['Group']['id']); ?>
					<?php if (isset($groupAdmin) && $groupAdmin && isset($entityid)): ?>
						</br>
						<?php echo '&nbsp;( entityID: ' . $entityid . ' )'; ?>
					<?php else: ?>
						<span class="groupID">
							<?php echo '&nbsp;( ' . __("common.group.id", true) . ': ' . $group['Group']['group_key'] . ' )'; ?>
						</span>
					<?php endif; ?>
				</h4>
			</dt>
		</dl>
	</div>

	<ul id="sortable" class="clr serviceList">
		<?php foreach ($serviceLinkList as $link): ?>
			<?php
				// 同意しているSPコネクタを白色で表示
				$agreeFlg = false;
				$spcid = $link[2];
				$groupid = $group['Group']['id'];
				foreach ($userAgreeList as $userAgree) {
					$internalSpcidList = $userAgree['internal_spcid_list'];
					$agreeSpcidList = explode(',', $internalSpcidList);
					foreach ($agreeSpcidList as $agreeSpcid) {
						if ($agreeSpcid == $spcid) {
							// 同意項目がないSPコネクタを白色で表示(CG用)
							if ($userAgree['nothing_agree_item']) {
								$agreeFlg = true;
								break;
							}
							if (isset($userAgree['top_group_select_id_list'][$groupid])
								 && $userAgree['top_group_select_id_list'][$groupid] != false) {
								$agreeFlg = true;
								break;
							}
						}
					}
				}
				// groupidに同意していたら表示
				if (!$agreeFlg) {
					continue;
				}
			?>
			<?php if (empty($link[1])): ?>
				<?php if (isset($link[2])): ?>
					<li id="<?php e($spcid) ?>" class="sortableLi">
						<a href="../../sp_groups/detail/<?php echo $link[2] ?>" target="_blank">
							<?php echo $this->element('images_sp_group', array('groupid' => $link[2], 'spcIcon' => $link[3])) ?>
							<p class="displayServiceName"><?php echo $link[0] ?></p>
						</a>
					</li>
				<?php endif; ?>
			<?php else: ?>
				<li id="<?php e($spcid) ?>" class="sortableLi">
					<a href="<?php echo $link[1]; ?>" target="_blank">
						<?php echo $this->element('images_sp_group', array('groupid' => $link[2], 'spcIcon' => $link[3])) ?>
						<p class="displayServiceName"><?php echo $link[0] ?></p>
					</a>
				</li>
			<?php endif; ?>
		<?php endforeach; ?>

		<?php foreach ($serviceLinkList as $link): ?>
			<?php
				// 同意していないSPコネクタを半透明な灰色で表示
				$agreeFlg = false;
				$spcid = $link[2];
				$groupid = $group['Group']['id'];
				foreach ($userAgreeList as $userAgree) {
					$internalSpcidList = $userAgree['internal_spcid_list'];
					$agreeSpcidList = explode(',', $internalSpcidList);
					foreach ($agreeSpcidList as $agreeSpcid) {
						if ($agreeSpcid == $spcid) {
							// 同意項目がないSPコネクタを白色で表示(CG用)
							if ($userAgree['nothing_agree_item']) {
								$agreeFlg = true;
								break;
							}
							if (isset($userAgree['top_group_select_id_list'][$groupid])
								 && $userAgree['top_group_select_id_list'][$groupid] != false) {
								$agreeFlg = true;
								break;
							}
						}
					}
				}
				// groupidに同意していなかったら表示
				if ($agreeFlg) {
					continue;
				}
			?>
			<li id="<?php e($spcid) ?>" class="sortableLi" style="border: solid 2px #808080;background: #D3D3D3 !important;">
				<a style="opacity:0.6; color:#696969;background: #D3D3D3 !important;" onClick="alert('<?php echo __("message.not.agree.spc", true) ?>'); return false;" href="<?php echo '../../sp_groups/detail/'.$link[2]; ?>" target="_blank">
					<?php echo $this->element('images_sp_group', array('groupid' => $link[2], 'spcIcon' => $link[3])) ?>
					<p class="displayServiceName"><?php echo $link[0] ?></p>
				</a>
			</li>
		<?php endforeach; ?>
	</ul>

	<?php echo $this->element("group_info") ?>
</div>

<?php if (isset($groupAdmin) && $groupAdmin): ?>
	<?php if ($group['0']['count_member'] <= 1): ?>
		<p class="attentionMsg"><?php echo __("group_lists.message.no.member", true) ?></p>
		<div class="submitArea">
			<?php echo $html->link(__("group_lists.remove.invitation", true), '/admin/manage_groups/invite/'.$group['Group']['id'], array('class' => 'submitBtn'));?>
		</div>
	<?php endif; ?>

	<?php if (isset($spconnnect) && !$spconnnect): ?>
		<p class="attentionMsg"><?php echo __("group_lists.message.not.connect", true) ?></p>
		<div class="submitArea">
			<?php echo $html->link(__("group_lists.message.remove.connect", true), '/admin/manage_groups/add_up_sp/'.$group['Group']['id'], array('class' => 'submitBtn'));?>
		</div>
	<?php endif; ?>
<?php endif; ?>

<!--
<script>
	$(document).ready(function(){
		$('#all_service').click(function(){
			$('#all_service_area').toggle();
			return false;
		});
	});
</script>
<div>
	<div><a id="all_service" href="#"><?php echo __("group_lists.service.displayed", true) ?></a></div>
	<div id="all_service_area" style="display:none;">
		<ul class="clr serviceList">
			<?php foreach ($notConnectSPCIdList as $spc): ?>
				<li >
					<a style="background: none repeat scroll 0 0 #D3D3D3 !important" href="<?php echo '../../sp_groups/detail/'.$spc['spcid']; ?>" target="_blank">
						<?php echo $this->element('images_sp_group', array('groupid' => $spc['spcid'], 'spcIcon' => $spc['icon'])) ?>
						<p style="color:black;"><?php echo $spc['name'] ?></p>
					</a>
				</li>
			<?php endforeach; ?>
		</ul>
	</div>
</div>
-->

</article>

<?php echo $form->create('detail', array('action' => 'save')); ?>
	<input type="hidden" id="result" name="result" />
<?php echo $form->end(); ?>
