<?php echo $this->element("aside", array('span' => 6, 'mygroups' => true)) ?>
<article class="col span_18">

<?php if ($this->Session->read('nonParticipant') && $this->Session->read('gakuninParticipant')): ?>
<p class="attentionMsg">
	<?php  $msg = sprintf(__('message.mygroups.nonparticipant.and.gakuninparticipant', true),
		$html->link(__('common.how.to.entry', true), Configure::read('entrylink.url'), array())); ?>
	<?php echo $msg; ?>
</p>
<?php endif; ?>

<?php echo $this->element("article") ?>
<?php //$this->set("no_cache", true); ?>

<h3><?php echo __("mygroups.hello", true) ?></h3>
<?php echo $html->link(__('top.menu.gr', true), '/groups/create', array('class' => 'makeGrp button')) ?>
<?php echo $html->link($html->image('icon_search.png').__('top.menu.gr.search', true), '/group_lists/search?word=', array('class' => 'searchGrp button', 'escape' => false)) ?>

<style>
/*
.ui-widget-overlay {
	background: none;
}
*/
.ui-widget-content {
	background-color: #fff;
}
.ui-state-highlight {
	height: 1.5em;
	line-height: 1.2em;
}
.group_setting {
	float: right;
	margin-right: 1em;
	cursor:pointer;
}
.group_setting img {
	width: 16px;
	height: 16px;
}

#group_sort ul {
	margin: 4px;
}
.group_sort_icon {
	width:20px;
	height:20px;
	margin:0 10px 0 0;
	float: right;
}
#group_sort_list li {
	margin: 6px 0;
	cursor: move;
}
</style>

<style type="text/css">
<!--
.sortable {
	list-style-type: none;
	margin: 0 1px 0 0;
	padding: 1px;
/*	border : 1px solid #666666; */
	min-width: 100px;
	min-height:100px;
	border-style: none;
}
.sortable .ui-selected {
	background: red;
/*	color: white; */
}
.sortable li {
	float: left;
/*	width: 100px; */
	cursor: move;
	margin: 0px 2px 5px 2px;
	padding: 2px;
	background-color: #fff;
	box-shadow: 1px 1px 1px rgba(0,0,0,0.2);
	border-radius: 8px;
}
@media only screen and (max-width: 768px) {
	.sortable li {
		height: 70px !important;
	}
	
	.displayServiceName {
		width: 85%;
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
	}
}
.sortableLi {
	border: solid 2px #E9AAAA !important; 
}
.sortableLi:hover{
	background: none repeat scroll 0 0 #F5F5F5 !important;
}

.sortablePlaceholder {
	width: 50px;
	border : 2px solid #E9AAAA;
	border-style : dashed;
}

#sortable li div:child {
	text-align: center;
	margin-right: 20px;
}

</style>

<?php echo $html->script('jquery.ui.touch-punch.min.js') ?>
<script type="text/javascript">
	$(function() {
		$(".sortable").sortable({
			connectWith: 'ul',
			placeholder: 'sortablePlaceholder'
		}).disableSelection();

		// 並び順に変化あり
		$(".sortable").bind('sortupdate', function(event, ui) {
			var groupid = $(this).attr("data-groupid");
			var result = $(this).sortable("toArray");
			$("#result").val(result);
			var resultData = $("#result").serialize();
			$.ajax({
				type: 'POST',
				url: '<?php echo $html->url('/internal_api/mygroup_service_side_sort') ?>',
				data: 'groupid=' + groupid + '&' + resultData 
			}).done(function() {
			});
		});
	});
</script>

<script>
$(function(){
	$( "#group_sort_list" ).sortable({
		placeholder: "ui-state-highlight",
		cursor: 'move'
	});
	$( "#group_sort_list" ).disableSelection();

	$('#group_sort').dialog({
		autoOpen: false,
		modal: true,
		width: '80%',
		draggable: false,
		buttons: {
			// 休止中を下にまとめるボタン
			"<?php e(__("mygroups.sort.gather.inactive", true)) ?>": function() {
				$("#group_sort_list").html(
					$("#group_sort_list > li").sort(function(a, b) {
						// 休止中spanの分、子要素が多いことを利用したソート
						return $(a).children().length - $(b).children().length;
					})
				);
				return false;
			},
			// 閉じるボタン
			"<?php e(__("common.close", true)) ?>": function() {
				$.ajax({
					type: 'POST',
					url: '<?php echo $html->url('/internal_api/group_sort') ?>',
					data: $("#group_sort_list").sortable("serialize")
				}).done(function() {
					var group = $("#group_sort_list").sortable("toArray");
					$.each(group.reverse(), function(k, v) {
						$('#left' + v).prependTo('#leftgroup');
						$('#main' + v).prependTo('#maingroup');
					});
					$('#group_sort').dialog("close");
				});
				return false;
			}
		},
		open: function() {
			$('button[title="close"]').focus();
		},
		focus: function () { return false },
		close: function() {
			$.ajax({
				type: 'POST',
				url: '<?php echo $html->url('/internal_api/group_sort') ?>',
				data: $("#group_sort_list").sortable("serialize")
			}).done(function() {
				var group = $("#group_sort_list").sortable("toArray");
				$.each(group.reverse(), function(k, v) {
					$('#left' + v).prependTo('#leftgroup');
					$('#main' + v).prependTo('#maingroup');
				});
			});
		}
	});
	$('.group_setting').click(function() {
		$('#group_sort').dialog('open');
		return false;
	});


	function sleep(time, callback){
		setTimeout(callback, time);
	}
});
</script>


<?php if (empty($mygroups)): ?>
	<br/>
	<span class="strong"><?php echo __("mygroups.no.group", true) ?></span>
<?php else: ?>
<h3><?php echo __("common.mygroup", true) ?>
	<a class="group_setting" style="text-decoration:none;" title="<?php echo __("mygroups.sort.setting", true) ?>">
		<?php echo $html->image('setting.png') ?><span style="font-size:80%;padding-left:5px;"><?php echo __("mygroups.sort.setting.description", true) ?></span>
	</a>
</h3>

<ul id="maingroup">
	<?php $existSpConnector = false; ?>
	<?php foreach ($mygroups as $group) : ?>
		<?php
			if ($group['Group']['sp'] != 0) {
				$existSpConnector = true;
				continue;
			}
		?>
		<?php $group_name = $group['Group']['name'].$group['Group']['name_en'] ?>
		<?php $group_image = $this->element('images_group',
				array('size' => 100, 'groupid' => $group['Group']['id'],
					'groupName' => $group_name, 'icon' => $group['Group']['icon'])); ?>

		<li class="grp" id="maingroup-<?php echo $group['Group']['id'] ?>">
			<div class="iconGrp" style="width:105px !important;">
				<?php echo $html->link($group_image, '/group_lists/detail/'.$group['Group']['id'], array('escape' => false)); ?>

			</div>
			<dl class="itemGrp clearfix">
				<dt>
					<h4>
						<?php if ($group['Group']['public'] == 1): ?>
							<?php $privacy = __("common.public", true) ?>
						<?php elseif ($group['Group']['public'] == 2): ?>
							<?php $privacy = __("groups.answer.public.no.search", true) ?>
						<?php else: ?>
							<?php $privacy = __("common.private", true) ?>
						<?php endif; ?>
						<span class="grpPrivacy"><?php echo $privacy ?></span>
						<?php echo $html->link(nl2br($group_name), '/group_lists/detail/'.$group['Group']['id'], array('class' => 'grpName')); ?>
					</h4>
				</dt>
			</dl>

			<?php if (!empty($relatedUrlList[ $group['Group']['id'] ])): ?>
			<ul class="sortable clr serviceList" data-groupid="<?php echo $group['Group']['id']; ?>">
				<?php foreach ($relatedUrlList[ $group['Group']['id'] ] as $link): ?>
					<?php
						// 同意しているSPコネクタを白色で表示
						$agreeFlg = false;
						$spcid = $link[2];
						$groupid = $group['Group']['id'];
						foreach ($userAgreeList as $userAgree) {
							$internalSpcidList = $userAgree['internal_spcid_list'];
							$agreeSpcidList = explode(',', $internalSpcidList);
							foreach ($agreeSpcidList as $agreeSpcid) {
								if ($agreeSpcid == $spcid) {
									// 同意項目がないSPコネクタを白色で表示(CG用)
									if ($userAgree['nothing_agree_item']) {
										$agreeFlg = true;
										break;
									}
									if (isset($userAgree['top_group_select_id_list'][$groupid])
										 && $userAgree['top_group_select_id_list'][$groupid] != false) {
										$agreeFlg = true;
										break;
									}
								}
							}
						}
						// groupidに同意していたら表示
						if (!$agreeFlg) {
							continue;
						}
					?>
					<?php if (empty($link[1])): ?>
						<?php if (isset($link[2])): ?>
							<li id="<?php e($link[2]) ?>" class="sortableLi">
								<a href="../sp_groups/detail/<?php echo $link[2] ?>" target="_blank">
									<?php echo $this->element('images_sp_group',
											array('groupid' => $link[2], 'spcIcon' => $spcIconList[ $link[2] ])) ?>
									<p class="displayServiceName"><?php echo $link[0] ?></p>
								</a>
							</li>
						<?php endif; ?>
					<?php else: ?>
						<li id="<?php e($link[2]) ?>" class="sortableLi">
							<a href="<?php echo $link[1]; ?>" target="_blank">
								<?php echo $this->element('images_sp_group',
									array('groupid' => $link[2], 'spcIcon' => $spcIconList[ $link[2] ])) ?>
								<p class="displayServiceName"><?php echo $link[0] ?></p>
							</a>
						</li>
					<?php endif; ?>
				<?php endforeach; ?>

				<?php foreach ($relatedUrlList[ $group['Group']['id'] ] as $link): ?>
				<?php
					// 同意していないSPコネクタを半透明な灰色で表示
					$agreeFlg = false;
					$spcid = $link[2];
					$groupid = $group['Group']['id'];
					foreach ($userAgreeList as $userAgree) {
						$internalSpcidList = $userAgree['internal_spcid_list'];
						$agreeSpcidList = explode(',', $internalSpcidList);
						foreach ($agreeSpcidList as $agreeSpcid) {
							if ($agreeSpcid == $spcid) {
								// 同意項目がないSPコネクタを白色で表示(CG用)
								if ($userAgree['nothing_agree_item']) {
									$agreeFlg = true;
									break;
								}
								if (isset($userAgree['top_group_select_id_list'][$groupid])
									 && $userAgree['top_group_select_id_list'][$groupid] != false) {
									$agreeFlg = true;
									break;
								}
							}
						}
					}
					// groupidに同意していなかったら表示
					if ($agreeFlg) {
						continue;
					}
				?>
				<li id="<?php e($link[2]) ?>" class="sortableLi" style="border: solid 2px #808080;background: #D3D3D3 !important">
					<a style="opacity:0.6; color:#696969;background: #D3D3D3 !important" onClick="alert('<?php echo __("message.not.agree.spc", true) ?>'); return false; " href="<?php echo '../sp_groups/detail/'.$link[2]; ?>" target="_blank">
						<?php echo $this->element('images_sp_group',
								array('groupid' => $link[2], 'spcIcon' => $spcIconList[ $link[2] ])) ?>
						<p class="displayServiceName"><?php echo $link[0] ?></p>
					</a>
				</li>
				<?php endforeach; ?>
			</ul>
			<?php endif; ?>

			<dl>
				<dd class="clr author">
				<?php if (false): // 非表示に ?>
				<ul class="itemState">
						<?php
							$open_member = '';
							switch ($group['Group']['openmember']) {
							case 0: $open_member = __("group_lists.open.member.private", true); break;
							case 1: $open_member = __("group_lists.open.member.join.public", true); break;
							case 2: $open_member = __("group_lists.open.member.all.public", true); break;
							}
						?>
						<li class="author"><?php echo __('common.administrator', true) ?>:<?php echo h(implode(', ', $group_administrators[$group['Group']['id']])) ?></li>
						<?php if (Configure::read('Config.language') === 'ja'): ?>
							<li><?php echo $group['0']['count_member']?>人が参加 / <?php echo date('Y年n月j日', strtotime($group['Group']['created'])) ?>作成</li>
						<?php else: ?>
							<li><?php echo $group['0']['count_member']?> persons participate / <?php echo date('Y.n.j', strtotime($group['Group']['created'])) ?> created</li>
						<?php endif; ?>
				</ul>
				<?php endif; ?>
				</dd>
			</dl>
			

			<?php if (false): // 非表示に ?>
			<div class="reviewtop">
				
				<p>
					<?php echo nl2br(h($group['Group']['introduction'].$group['Group']['introduction_en'])) ?>
				</p>
				
			</div>
			<?php endif; ?>

		</li>
	<?php endforeach; ?>
</ul>
	<?php if ($existSpConnector): ?>

		<h3><a name="spconnector" style="color:#000000;text-decoration:none;"><?php echo __("group_lists.spconnector", true) ?></a></h3>
		<table>
			<tr>
				<th class="list_title"><?php echo __("common.sp.name", true) ?></th>
				<th class="list_title disnoneSP"><?php echo __("common.administrator", true) ?>?</th>
				<th class="list_title"><?php echo __("mygroups.public.setting", true) ?></th>
				<th class="list_title"><?php echo __("common.admin.count", true) ?></th>
				<th class="list_title disnoneSP"><?php echo __("common.status", true) ?></th>
				<th class="list_title disnoneSP"><?php echo __("common.introduction", true) ?></th>
			</tr>

		<?php foreach ($mygroups as $mygroup) : ?>
			<?php if ($mygroup['Group']['sp'] != 1) { continue; } ?>
				<tr class="list_detail">
					<td class="list_detail_end">
						<?php echo $html->link($mygroup['Group']['name'].$mygroup['Group']['name_en'], '/sp_groups/detail/'.$mygroup['Group']['id']); ?>
					</td>
					<td class="list_detail_end disnoneSP" style="text-align:center;vertical-align:middle;">
						<?php if ($mygroup['Mygroup']['admin'] >= 1): ?>
							<?php echo $html->image('circle3.gif', array('style' => 'height:18px;width:18px;')); ?>
						<?php endif; ?>
					</td>
					<td class="list_detail_end"><?php echo ($mygroup['Group']['public'] == 1 ? __("common.public", true):__("common.private", true)) ?></td>
					<td class="list_detail_end"><?php echo $mygroup['0']['count_member'] ?><?php echo __("common.person.number", true) ?></td>
					<td class="list_detail_end disnoneSP" style="white-space: nowrap;">
						<?php if ($mygroup['Group']['active'] == 0): ?>
							<?php echo __("common.status.active", true) ?>
						<?php elseif ($mygroup['Group']['active'] == 1): ?>
							<?php echo __("common.status.inactive", true) ?>
						<?php elseif ($mygroup['Group']['active'] == 2): ?>
							<?php echo __("common.status.super", true) ?>
						<?php elseif ($mygroup['Group']['active'] == 9): ?>
							<?php echo __("common.status.deleted", true) ?>
						<?php endif; ?>
					</td>
					<td class="list_detail_end disnoneSP">
						<div><?php echo h($mygroup['Group']['introduction'].$mygroup['Group']['introduction_en']) ?></div>
					</td>
				</tr>
		<?php endforeach; ?>
		</table>

	<?php endif; ?>

<?php endif; ?>

	<div id="group_sort" style="display: none;">
		<ul id="group_sort_list">
	<?php foreach ($mygroups as $group) : ?>
		<?php if ($group['Group']['sp'] != 0) { continue; } ?>
		<?php $group_name = $group['Group']['name'].$group['Group']['name_en'] ?>
		<?php $inactive = '' ?>
		<?php if ($group['Group']['active'] == 1): // 休止中 ?>
			<?php $inactive = '<span style="color:red">[' . __("common.status.inactive", true) . ']</span>' ?>
		<?php endif; ?>
		<?php $group_image = $this->element('images_group',
				array('size' => 20, 'groupid' => $group['Group']['id'],
					'groupName' => $group_name, 'icon' => $group['Group']['icon'])); ?>
		<li id="group-<?php echo $group['Group']['id'] ?>" class="grpName">
			<?php echo $group_image.h($group_name) ?>
			<?php echo $inactive ?>
<?php echo $html->image('icon_sort.png', array('class' => 'group_sort_icon')) ?>

		</li>
	<?php endforeach; ?>
		</ul>
	</div>

		</article>

<?php echo $form->create('mygroup', array('action' => 'save')); ?>
	<input type="hidden" id="result" name="result" />
<?php echo $form->end(); ?>
