<?php /* Modified by SOUM Corporation, 2016 */ ?>
<?php echo $this->element("aside", array('span' => 6)) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<h3><?php echo __("top.menu.private_service.create", true) ?></h3>

<?php echo $form->create('PrivateService', array('action' => 'create', 'name' => 'PrivateServiceForm', 'type' => 'file')); ?>

<?php echo $this->element('add_tag_script'); ?>

<table class="form">
	<?php if (!empty($candidateClone)): ?>
	<tr>
		<th class="left"><?php echo __("private_services.clone", true) ?></th>
		<td class="right">
			<div id="clone">
				<?php echo $form->select("clone", $candidateClone, null, array('name' => 'data[Clone]')); ?>
			</div>
			<div><?php echo __("private_services.clone.description") ?></div>
			<?php e($form->submit(__("common.reflect", true), array('name' => 'clone', 'div'=> false, 'class' => 'submitBtn'))); ?>
		</td>
	</tr>
	<?php endif; ?>

	<tr>
		<th class="left"><?php echo __("private_services.metadata", true) ?></th>
		<td class="right">
			<div id="metadata">
				<?php echo $form->input("metadata", array('type' => 'file', 'name' => 'data[Metadata]', 'label' => false)); ?>
			</div>
			<div><?php echo __("private_services.metadata.description") ?></div>
			<?php e($form->submit(__("common.reflect", true), array('name' => 'fill', 'div'=> false, 'class' => 'submitBtn'))); ?>
			<?php echo $form->error('SpGroup.metadata') ?>
		</td>
	</tr>

	<tr>
		<th class="left"><?php echo __("private_services.name", true) ?><span class="required"><?php __('common.form.required') ?></span></th>
		<td class="right">
			<div id="name_ja">
				<?php echo $form->input('name',
					array('label' => false, 'div' => false, 'size' => 80,
							'id' => 'name_input_ja')); ?>
				<?php echo $form->error('SpGroup.name') ?>
			</div>
		</td>
	</tr>

	<tr>
		<th class="left"><?php echo __("common.introduction", true) ?></th>
		<td class="right">
			<div id="introduction_ja">
				<?php echo $form->input('introduction', array(
						'rows' => '8', 'cols' => '55', 'label' => false, 'id' => 'introduction_input_ja')); ?>
				<?php echo $form->error('SpGroup.introduction') ?>
			</div>
		</td>
	</tr>

	<tr>
		<th>
			<?php __('private_services.group') ?>
			<span class="required"><?php __('common.form.required') ?></span>
		</th>
		<td>
			<span class="private_services_sp_type">
			<?php
				echo $form->radio('sp_type', array(
						'0'  => __("private_services.private", true)),
						array('legend'=> false, 'default' => '0'));
			?>
			</span>

			<?php if (!empty($candidateIdpGroups)): ?>
			<span class="private_services_sp_type">
			<?php
				echo $form->radio('sp_type', array(
					'1' => __("private_services.idp", true)));
				echo $form->select('JoinGroup.idp_group_id', $candidateIdpGroups);
			?>
			</span>
			<?php endif; ?>

			<?php if (!empty($candidateGroups)): ?>
			<span class="private_services_sp_type">
			<?php
				echo $form->radio('sp_type', array(
					'2' => __("private_services.map", true)));
				echo $form->select('JoinGroup.group_id', $candidateGroups);
			?>
			</span>
			<?php endif; ?>
			<?php echo $form->error('SpGroup.sp_type') ?>
			<?php echo $form->error('AutoGroup.group_id') ?>
		</td>
	</tr>

	<tr>
		<th><?php __('common.service.icon') ?><span class="required"><?php __('common.form.required') ?></span></th>
		<td>
			<?php echo $form->input('file', array('type' => 'file', 'label' => false)); ?>
			<?php echo $form->error('SpGroup.file') ?>
			<?php echo $this->element('spc_icon_logo', array('model' => 'PrivateService')) ?>
			<div><?php echo __("common.select.icon", true) ?></div>
			<?php echo $this->element('spc_icon', array('model' => 'PrivateService')) ?>
		</td>
	</tr>

	<tr>
		<th><?php echo __("sp_groups.public_tag", true) ?></th>
		<?php echo $this->element('add_tag_td'); ?>
	</tr>

	<tr>
		<th class="left">
			<?php echo __("private_services.url", true) ?><span class="required"><?php __('common.form.required') ?></span><br/>
		</th>
		<td class="right">
			<div>
				<?php echo $form->input('GroupSphost.lead_url', array(
						'type' => 'text', 'label' => false, 'style' => 'width:90%', 'div' => false)); ?>
			</div>
		</td>
	</tr>
</table>

<div class="submitArea">
	<?php e($form->submit(__("common.create", true), array('name' => 'save', 'div'=> false, 'class' => 'submitBtn'))); ?>
	<?php e($form->submit(__("common.cancel", true), array('name' => 'cancel', 'div'=> false, 'class' => 'resetBtn'))); ?>
</div>

<?php echo $form->end(); ?>

		</article>
