<?php $_group_id = $this->data['SpGroupList']['id'] ?>
<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/administrators')) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<?php $titles = array($this->element('group_name', array('group_id' => $_group_id)), __("left.sp.menu.admin.list", true)) ?>
<h3><?php echo h(implode(' > ', $titles)) ?></h3>

<div id="contents">
<div class="group">
<?php echo $form->create('SpGroupList', array('action' => 'administrators')); ?>
<?php echo $form->hidden('group_id', array('value'=> $this->data['SpGroupList']['id']))?>

<?php echo $form->error('message'); ?><br/>

<table class="group_width">
	<?php if ($this->data['SpGroupList']['manager']): ?>
		<tr>
			<th class="list_title"><?php echo __("common.name", true) ?></th>
			<th class="list_title"><?php echo __("common.authority", true) ?></th>
			<th class="list_title"><?php echo __("common.quit", true) ?></th>
		</tr>

		<?php foreach ($members as $member): ?>
			<?php if (($this->data['SpGroupList']['openmember'] == 1 || $this->data['SpGroupList']['manager'])) { ?>
		<tr class="list_detail">
			<td>
				<div style="font-weight:bold"><?php echo h($member['Account']['name']) ?></div>
				<div style="font-weight:bold"><?php echo h($member['Account']['name_en']) ?></div>
				<div style="padding-top:5px;">
					<?php echo __("common.affiliation", true) ?> :<?php echo h($member['Account']['university']) ?><?php echo h($member['Account']['university_en']) ?>
				</div>
				<div>
					<span><?php echo __("group_lists.join.from", true) ?> : <?php echo date('Y/m/d ',strtotime($member['Mygroup']['created'])); ?></span>
					<span style="padding-left:10px;">IdP : <?php echo $member['Account']['idp']; ?></span>
					<?php if ($member['Account']['arrival']): ?>
						<span style="padding-left:10px;"><?php echo __("common.mail.arrival", true) ?> :
						<?php echo $html->image('circle3.gif',
								array('style' => 'height:18px;width:18px;position:relative;top:4px;')); ?>
						</span>
					<?php endif; ?>
				</div>
			</td>
			<td><?php echo __("common.administrator", true) ?></td>
			<td>
				<?php
					$option = array();
					$option[ $member['Account']['id'] ] = __("group_lists.member.quit", true);
					$selectedWithdraw = $member['Account']['selectedWithdraw'];
					echo $form->input('withdraw.'.$member['Account']['id'],
						array('type' => 'select', 'multiple' => 'checkbox', 'options' => $option,
						'label' => false, 'div' => false, 'value' => $selectedWithdraw));
				?>
			</td>
		</tr>
			<?php } ?>
		<?php endforeach; ?>

		<tr>
			<td colspan="3">
				<div class="submitArea" style="text-align:right;">
					<?php echo $form->submit(__("common.quit", true), array('name' => 'withdraw', 'div' => false, 'class' => 'submitBtnRed'))?>
				</div>
			</td>
		</tr>
	<?php endif; ?>

	<?php if ($this->data['SpGroupList']['openmember'] == 1 && !$this->data['SpGroupList']['manager']): ?>
		<tr>
			<td width="180" class="list_title"><?php echo __("common.name", true) ?>&nbsp;(<?php echo __("common.affiliation", true) ?>)</td>
			<td width="300" class="list_title"><?php echo __("common.introduction", true) ?></td>
			<td class="list_title"><?php echo __("common.authority", true) ?></td>
		</tr>
		<?php foreach ($members as $member): ?>
			<?php if (($this->data['SpGroupList']['openmember'] == 1 || $this->data['SpGroupList']['manager']) ||
			  ($this->data['SpGroupList']['openmember'] == 0
			  	&& $member['Account']['eppn'] === $this->data['GroupList']['eppn'])) { ?>
		<tr class="list_detail">
			<td width="180"><?php echo h($member['Account']['name']) ?><br/>(<?php echo h($member['Account']['university']) ?>)</td>
			<td width="300"><?php echo h($member['Account']['introduction']) ?></td>
			<td><?php echo __("common.administrator", true) ?></td>
		</tr>
		<tr>
			<td colspan="4" class="list_detail_end">
			<span class="weak">
				<?php echo date('Y/m/d ', strtotime($member['Mygroup']['created'])); ?><?php echo __("group_lists.join.from", true) ?>
			</span>
			</td>
		</tr>
			<?php } ?>
		<?php endforeach; ?>
	<?php endif; ?>
</table>
<?php echo $form->end(); ?>
</div>
</div>

        </article>
