<?php
/**
 * ManageGroupAuto Model
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */

App::import('Model', 'Group');

class ManageGroupAuto extends Group {
	var $name = 'ManageGroupAuto';
	var $useTable = 'groups';

	var $validate = array(
		'introduction' => array(
			'minlength' => array(
				'rule' => array('minLength', '1'),
				'required' => true,
				'message' => 'validation.enter',
			),
			'maxlength' => array(
				'rule' => array('maxLength', '400'),
				'message' => 'validation.maxlength',
				'last' => true
			),
		),
	);

	function getData($key) {
		return $this->data['ManageGroupAuto'][$key];
	}
}
?>
