<?php
/**
 * Controller Test Case
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */

abstract class ControllerTestCase extends CakeTestCase  {
	function startCase() {
		echo '<h1>Start TestCase</h1>';
	}

	function endCase() {
		echo '<h1>End TestCase</h1>';
		ClassRegistry::flush();
	}

	function startTest($method) {
		echo '<h3>method (' . $method . ') start</h3>';
	}

	function endTest($method) {
		echo '<hr />';
	}
}
?>
