<style>
div.contents {
	padding-top: 10px;
}
div.form_area {
	padding-bottom: 2em;
}
div.form_input {
	padding-bottom: 2px;
}
div.form_input label {
	font-weight: bold;
}

div.member_list_head {
	font-size: 120%;
	border-bottom: 2px solid #c8c8c8;
	padding-bottom:10px;
}
table.member_list th {
	text-align: left;
}
table.member_list th.local_id {
	width: 250px;
}

span.other {
	color: #666;
}
tr.temp td {
	color: #666;
}
</style>

<?php echo $form->create('ManageAgency', array('action' => 'agency_kyoto_u_ac_jp')); ?>

<div class="contents">
	<!--
	<div style="padding-left:2px;border-bottom: 1px solid #0000CD">
		<div style="float:left;padding-left:4px;">
			<div style="padding:2px 4px 2px 4px;font-size:90%;border:1px solid #0000CD;color:#00008B;background-color:#D9E5FF;">
				<a href="#" style="text-decoration:none;color:#00008B;">Researchmap</a>
			</div>
		</div>
		<div style="float:left;padding-left:4px;">
			<div style="padding:2px 4px 2px 4px;font-size:90%;border:1px solid #0000CD;color:#00008B;">
				<a href="#" style="text-decoration:none;color:#00008B;">清算システム</a>
			</div>
		</div>
		<div style="clear:left"></div>
	</div>
	<div style="padding-bottom:24px;"></div>
	-->
	<?php echo $form->error('message'); ?>
	<div class="form_area">
		<div class="form_input">
			<label for="ManageAgencySpsid">SPS-ID</label>
			<?php echo $form->input('spsid', array('id' => 'ManageAgencySpsid', 'label' => false, 'div' => false, 'size' => 50)); ?>
		</div>
		<div>
			<?php echo $form->submit(__('common.register', true), array('name '=>'add', 'div' => false, 'style' => 'width:60px;height:23px;')); ?>
			<?php echo $form->submit(__('common.clear', true), array('type' => 'reset', 'div'=> false, 'style' => 'width:60px;height:23px;')); ?>
		</div>
	</div>

	<div>
		<div class="member_list_head">登録済代理入力者一覧</div>
	<?php if (!$members): ?>
			なし
	<?php else: ?>
		<table class="member_list">
			<tr>
				<th></th>
				<th class="local_id">SPS-ID</th>
				<th class="name">登録者名</th>
			</tr>
			<?php foreach ($members as $member): ?>
				<?php $class = $member['Account']['is_temp'] ? 'temp' : 'normal' ?>
			<tr class="<?php echo $class ?>">
				<td>
				<?php
					$option = array();
					$option[ $member['Account']['id'] ] = "";
					//$option[ 2 ] = "";
					echo $form->input('checkList.'.$member['Account']['id'],
						array('type' => 'select', 'multiple' => 'checkbox', 'options' => $option,
						'label' => false, 'div' => false));
				?>
				</td>
				<td>
					<?php if ($member['Account']['is_temp']): ?>
						(<?php echo h($member['Account']['mail']) ?>)
					<?php elseif ($member['Account']['local_id'] == ''): ?>
						<span class="other">(<?php echo h($member['Account']['eppn']) ?>)</span>
					<?php else: ?>
						<?php echo h($member['Account']['local_id']) ?>
					<?php endif; ?>
				</td>
				<td>
					<?php echo h($member['Account']['name'].$member['Account']['name_en']) ?>
				</td>
			</tr>
			<?php endforeach; ?>
		</table>
		<div>
			<?php echo $form->submit(__('common.del', true), array('name '=>' delete', 'div' => false, 'style' => 'width:60px;height:23px;')); ?>
		</div>
	<?php endif; ?>
	</div>
</div>

<?php echo $form->end(); ?>

