<?php $_group_id = $ManageGroup['id'] ?>
<article class="col span_24">
<?php echo $this->element("article") ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action']) ) );
			?>
	</ul>
</div>

</article>

<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/updown')) ?>
<article class="col span_17">
<h3><?php echo h(sprintf('%s > %s', $this->element('group_name', array('group_id' => $_group_id)), __("manage_groups.extended", true))) ?></h3>

<script type="text/javascript">
var indexs = [];
<?php foreach ($groupAttrs as $attr): ?>
	<?php $id = $attr['ExtendedAttribute']['id']; ?>
	indexs[<?php echo $id; ?>] = <?php echo count($extendedValues[$id]); ?> + 1;
<?php endforeach; ?>
function add_field(idNo) {
	tags = '<div id = "__id__"><input name="data[ExtendedValue][__id__]" type="text" style="width: 85%;" value=""> <input onclick="remove_field(\'__id__\', ' + idNo + ' );" type="button" value="__del__" /></div>';
	tags = tags.replace(/__id__/g, 'value_' + idNo + '_' + indexs[idNo] + '_0').replace(/__del__/g, '<?php e(__("common.del", true)) ?>');
	$('#value_box' + idNo).append(tags);
	indexs[idNo]++;
	$('#value_box' + idNo).find(':button').first().show();
}

function remove_field(idstr, idNo) {
	$('#' + idstr).remove();
	var counter = 0;
	$('#value_box' + idNo).find(':button').each(function(){
		counter++;
	});
	if (counter == 1) {
		$('#value_box' + idNo).find(':button').first().hide();
	}
}
</script>

<?php echo __("tags.service.name", true) . ' : '; ?><?php echo $html->link($ManageGroup['name'], '/sp_groups/detail/'.$ManageGroup['sp']); ?>
<?php if (!empty($groupAttrs)): ?>
	<?php echo $form->create('ManageGroup', array('action' => 'extended/'.$ManageGroup['sp'].'/'.$ManageGroup['id'])); ?>
	<table>
		<tr>
			<th width="50%"><?php echo __("attr_extended.name", true) ?></th>
			<th width="50%"><?php echo __("attr_extended.value", true) ?></th>
		</tr>
	<?php foreach ($groupAttrs as $key => $attr): ?>
		<?php $id = $attr['ExtendedAttribute']['id']; ?>
		<tr>
			<td>
				<?php echo $attr['ExtendedAttribute']['friendly_name']; ?><br>(<?php echo $attr['ExtendedAttribute']['name']; ?>)
			</td>
			<td>
				<div id="value_box<?php echo $id; ?>">
				<?php if (empty($extendedValues[$id])): ?>
					<?php $valueName = 'value_' . $id . '_0_0'; ?>
					<input name="data[ExtendedValue][<?php echo $valueName; ?>]"  type="text" style="width: 85%;" value="">
					<input onclick="remove_field('<?php echo $valueName; ?>', <?php echo $id; ?>);" type="button" value="<?php e(__("common.del", true)) ?>" style="display:none;" />
					<?php else: ?>
						<?php foreach ($extendedValues[$id] as $key => $value): ?>
							<?php $group_extended_value_id = $value['GroupExtendedValue']['id']; ?>
							<?php $group_extended_value = $value['GroupExtendedValue']['value']; ?>
							<?php $valueName = 'value_' . $id . '_' . $key . '_' . $group_extended_value_id; ?>
							<div id = "<?php echo $valueName; ?>">
								<input name="data[ExtendedValue][<?php echo $valueName; ?>]"  type="text" style="width: 85%;" value="<?php echo $group_extended_value; ?>">
							<?php if (count($extendedValues[$id]) == 1): ?>
								<input onclick="remove_field('<?php echo $valueName; ?>', <?php echo $id; ?>);" type="button" value="<?php e(__("common.del", true)) ?>" style="display:none;"/>
							<?php else:?>
								<input onclick="remove_field('<?php echo $valueName; ?>', <?php echo $id; ?>);" type="button" value="<?php e(__("common.del", true)) ?>" />
							<?php endif; ?>
							<?php if ($errorPoint['eaid'] == $id && $errorPoint['idx'] == $key): ?>
								<?php echo $form->error('GroupExtendedValue.value'); ?>
							<?php endif; ?>
							</div>
						<?php endforeach; ?>
					<?php endif; ?>
				</div>
				<?php $onClickFunc = "add_field(" . $id . ")"; ?>
				<?php echo $form->button(__("manage_groups.extended.add", true), array('type' => 'button', 'onClick' => $onClickFunc)); ?><br>
			</td>
		</tr>
	<?php endforeach; ?>
	</table>
	<?php endif; ?>

	<div class="submitArea">
		<?php e($form->submit(__("common.save", true), array('name' => 'save', 'div'=> false, 'class' => 'submitBtn'))); ?>
		<?php e($form->submit(__("common.cancel", true), array('name' => 'cancel', 'div'=> false, 'class' => 'resetBtn'))); ?>
	</div>
	<?php echo $form->end(); ?>

</article>
