<dl>
	<dd class="author">
		<ul class="itemState">
			<li class="author"><?php echo __('common.administrator', true) ?>:<?php echo h(implode(', ', $administrator_names)) ?></li>
			<?php if (Configure::read('Config.language') === 'ja'): ?>
				<li><?php echo $memberCount ?>人が参加 / <?php echo date('Y年n月j日', strtotime($group['Group']['created'])) ?>作成</li>
			<?php else: ?>
				<li><?php echo $memberCount ?> persons participate / <?php echo date('Y.n.j', strtotime($group['Group']['created'])) ?> created</li>
			<?php endif; ?>
		</ul>
	</dd>
</dl>

<div class="reviewtop">
	<p>
		<?php echo h($group['Group']['introduction'].$group['Group']['introduction_en']) ?>
	</p>
</div>

<div>
	<?php echo __("group_lists.attribute.use", true) ?>:
	<?php echo implode(' / ', $this->Attribute->toShowAttributeList($providerAttribute)) ?>
</div>
<div>
	<?php echo __("common.status", true) ?>:
	<?php if ($group['Group']['active'] == 0): ?>
		<?php $status = __("common.status.active", true); ?>
		<?php $class = ""; ?>
	<?php else: ?>
		<?php $class = "class=\"emphasis\""; ?>
		<?php if ($group['Group']['active'] == 1): ?>
			<?php $status = __("common.status.inactive", true); ?>
		<?php elseif ($group['Group']['active'] == 2): ?>
			<?php $status = __("common.status.super", true); ?>
		<?php elseif ($group['Group']['active'] == 9): ?>
			<?php $status = __("common.status.deleted", true); ?>
		<?php endif; ?>
	<?php endif; ?>
	<span <?php echo $class ?>>
		<?php echo $status ?>
	</span>
</div>
<div>
	<?php if ($group['Group']['openmember'] == 0): ?>
		<?php $open_member = __("group_lists.open.member.private", true) ?>
	<?php elseif ($group['Group']['openmember'] == 1): ?>
		<?php $open_member = __("group_lists.open.member.join.public", true) ?>
	<?php elseif ($group['Group']['openmember'] == 2): ?>
		<?php $open_member = __("group_lists.open.member.all.public", true) ?>
	<?php endif; ?>
	<?php echo __("groups.question.member.public", true) ?>:
	<?php echo $open_member ?>
</div>
