<?php /* Modified by SOUM Corporation, 2016,2020 */ ?>
	<?php $cg = false; ?>
	<?php if (preg_match('/.+\/top\/index$/', $html->url(false)) ||
		preg_match('/.+\/top\/vertical$/', $html->url(false)) ||
		preg_match('/.+\/top\/side$/', $html->url(false)) ): ?>
		<?php $cg = true; ?>
	<?php endif; ?>
	<?php $path =$html->url('', false); ?>
	<?php $path = preg_replace('/\/\d+/', '', $path); //グループなどのID部分削除 ?>
	<?php $helpPage = Configure::read('help_page.' . $path); ?>
	<?php if ($helpPage == null): ?>
		<?php $helpPage = Configure::read('help_page.default'); ?>
	<?php endif; ?>

	<ul>
		<?php if ($this->Session->read('Login')): ?>
			<?php if ($cg): ?>
			<li>
				<form id="searchService" method="get" action="/map/top/index" accept-charset="utf-8">
					<?php echo $form->text('search', array('name' => 'search', 'label' => false, 'div' => false, 'size' => 15, 'list' => 'candidateTags')); ?>
					<datalist id='candidateTags'>
					<?php foreach ($candidateTagNames as $tag): ?>
						<option value="<?php echo h($tag)?>"></option>
					<?php endforeach; ?>
					<?php foreach ($candidateTagNamesUnusableOnly as $tag): ?>
						<option class="tag_unusable_only" value="<?php echo h($tag)?>"></option>
					<?php endforeach; ?>
					</datalist>
					<?php echo $form->button(__("common.search", true), array('type' => 'submit')); ?>
				</form>
			</li>
			<?php endif; ?>
			<li>
				<?php $accountName = $this->Session->read('accountName'); ?>
				<?php $accountUrl = '/accounts/edit'; ?>
				<?php if (empty($accountName)): ?>
					<?php $accountName = __('menu.guest', true); ?>
					<?php $accountUrl = '/accounts/create'; ?>
				<?php endif; ?>
				<?php $guestMode = $this->Session->read('guestMode'); ?>
				<?php if (!$guestMode): ?>
					<?php if ($cg): ?>
						<span>
							<?php echo $html->link(sprintf(__('menu.name', true), $accountName), $accountUrl) ?>
						</span>
					<?php else: ?>
						<?php echo $html->link(sprintf(__('menu.name', true), $accountName), $accountUrl) ?>
					<?php endif; ?>
				<?php endif; ?>
			</li>
		<?php endif; ?>
		<?php if ($headerMenu): ?>
			<li class="drop_down_menu">
				<?php echo $html->link(__("menu.drop_down_menu", true), '#') ?>
				<ul class="drop_down_menu_list">
		<?php endif; ?>
		<?php if ($this->Session->read('Login')): ?>
			<?php // サービスの並び順 ?>
			<?php if ($cg): ?>
				<?php $guestMode = $this->Session->read('guestMode'); ?>
				<?php if (!$guestMode): ?>
					<li id="spc_sort_setting"><?php echo $html->link(__("menu.option", true), '#') ?></li>
				<?php endif; ?>
					<li>
						<form name="show_unusable" id="show_unusable">
							<input type="checkbox" name="show" value="1" id="show_unusable_checkbox" <?php echo ($show_unusable) ? 'checked'  : '' ; ?> />
							<label for="show_unusable_checkbox"><?php echo __("menu.toggle_unusable", true) ?></label>
						</form>
					</li>
				<?php if (!$guestMode): ?>
					<li><?php echo $html->link(__("menu.private_service.create", true), '/private_services/create') ?></li>
				<?php endif; ?>
			<?php endif; ?>
					<li><?php echo $html->link(__("top.menu.logout", true), '/logout') ?></li>
		<?php endif; ?>
					<li><?php echo $html->link(__('common.japanese', true), '/languages/change/ja?a='.$html->url()) ?></li>
					<li><?php echo $html->link('English', '/languages/change/eng?a='.$html->url()) ?></li>
					<li><?php echo $html->link('Help', $helpPage, array('target' => '_blank')) ?></li>
		<?php if ($headerMenu): ?>
				</ul>
			</li>
		<?php endif; ?>
	</ul>

<?php if ($cg): ?>
<div id="user_sort_dialog" style="display: none;">
	<form name="userSortForm" id="user_sort_form">
	<?php echo $form->radio('spc_sort_type',
			array(
				'name'=> " ".__("menu.name.sort", true).'<br/>',
				'access'=> " ".__("menu.frequency.access.sort", true).'<br/>',
				'last'=> " ".__("menu.last.access.sort", true).'<br/>',
				'manual'=> " ".__("menu.admin.manual.sort", true).'<br/>',
			),
			array('legend' => false, 'id' => 'spc_sort_type', 'value' => $spcSortType));
	?>
	</form>
</div>

<input type=hidden id="init_sort_type" name="init_sort_type" value="<?php e($spcSortType); ?>" />
<style>
.ui-widget-header{
	background: #7d1719 !important;
}
.ui-dialog {
	z-index: 2000 !important;
}
.ui-dialog-title {
	color: #fff;
}
.ui-widget-content {
	background: url("../img/bg.png") repeat scroll 0 0 rgba(0, 0, 0, 0) !important;
}
</style>
<script>
$(function(){
	$('#user_sort_dialog').dialog({
		autoOpen: false,
		modal: true,
		width: 290,
		resizable: false,
		draggable: false,
		show: 'drop',
		hide: 'drop',
		position: {
			of : '#spc_sort_setting'
		},
		title: '<?php echo __("menu.option", true) ?>',
		buttons: {
			OK: function() {
				var params = $("#user_sort_form").serialize();
				$.ajax({
					type: 'POST',
					url: "<?php echo $html->url('/internal_api/change_sort') ?>",
					data: params
				}).done(function() {
					$('#user_sort_dialog').dialog("close");
// 					if (params != "data%5Bspc_sort_type%5D=manual") {
 						window.location.reload();
// 					}
				}).fail(function() {
					$('#user_sort_dialog').dialog("close");
 					window.location.reload();
				});
				return false;
			},
			Cancel : function() {
				var initType = $("#init_sort_type").val();
				$(this).dialog("close");
				$("input[name='data[spc_sort_type]']").val([initType]);
				return false;
			}
		},
		open: function() {
			$('button[title="close"]').focus();
			$(".ui-dialog-titlebar-close").hide();
		},
		focus: function () {
			return false;
		},
		close: function() {
			return false;
		}
	});

	$('#spc_sort_setting').click(function() {
		$('#user_sort_dialog').dialog('open');
		return false;
	});

	// モーダル外をクリックでモーダルを非表示に
	$( document ).on( "click", ".ui-widget-overlay", function(){
		$('#user_sort_dialog').dialog("close");
	} );
});
</script>
<?php endif; ?>
