<?php if ($this->Session->read('Login')): ?>

<div class="belogGrp disnoneSP">
	<h3 class="sideMenu">
		<?php echo $html->link(__('common.mygroup', true), '/mygroups/view',
			array('style' => 'text-decoration: none;color:#000000')) ?>
		<?php if ($this->params["controller"] === "mygroups" && $this->params["action"] === "view"): ?>
			<a class="group_setting" style="text-decoration:none;" title="<?php echo __("mygroups.sort.setting", true) ?>"><?php echo $html->image('setting.png') ?><span style="font-size:80%;padding-left:5px;"><?php echo __("mygroups.sort.setting.description", true) ?></a>
		<?php endif; ?>
	</h3>
	<?php $existSpConnector = false; ?>
	<?php if ($mygroups): ?>
		<ul id="leftgroup">
		<?php foreach ($mygroups as $group):
			if ($group['Group']['sp'] != 0) {
				$existSpConnector = true;
				continue;
			}
			$group_name = $group['Group']['name'].$group['Group']['name_en'];
			$group_image = $this->element('images_group',
				array('size' => 20, 'groupid' => $group['Group']['id'], 'groupName' => $group_name,
					'icon' => $group['Group']['icon']));
			$title = sprintf('%s%s', $group_image, h($group_name));
//debug($group_image);
		?>
			<li class="grpName" id="leftgroup-<?php echo $group['Group']['id'] ?>">
				<?php echo $html->link($title, '/group_lists/detail/'.$group['Group']['id'], array('escape' => false)); ?>
				<?php if ($group['Group']['active'] == 1): // 休止中 ?>
					<span style="color:red">[<?php echo __("common.status.inactive", true) ?>]</span>
				<?php endif; ?>
			</li>
		<?php endforeach; ?>
		</ul>
	<?php endif; ?>

	<div class="createGroup"><?php echo $html->link(__('top.menu.gr', true), '/groups/create') ?></div>

	<?php if ($existSpConnector): ?>
		<h3 class="sideMenu">
			<?php echo $html->link(__('group_lists.spconnector', true), '/mygroups/view#spconnector',
				array('style' => 'text-decoration: none;color:#000000')) ?>
		</h3>
		<ul>
			<?php $inactives = array(); ?>
			<?php foreach ($mygroups as $group) : ?>
				<?php if ($group['Group']['sp'] != 1) { continue; } ?>
				<?php
				$spc_name = $group['Group']['name'].$group['Group']['name_en'];
				$spc_image = $this->element('images_sp_group',
						array('groupid' => $group['Group']['id'], 'spcIcon' => $group['Group']['spc_icon'],
						'width' => 16, 'height' => 16));
				$title = sprintf('%s%s', $spc_image, h($spc_name));
				if ($group['Group']['active'] == 1) {	// 休止中は後ろに表示
					$inactive = array();
					$inactive['id'] = $group['Group']['id'];
					$inactive['title'] = $title;
					$inactives[] = $inactive;
					continue;
				}
				?>
				<li class="grpName">
					<?php echo $html->link($title, '/sp_groups/detail/'.$group['Group']['id'], array('escape' => false)); ?>
				</li>
			<?php endforeach; ?>
			<?php foreach ($inactives as $group) : // 休止中SPコネクタ表示 ?>
				<li class="grpName">
					<?php echo $html->link($group['title'], '/sp_groups/detail/'.$group['id'], array('escape' => false)); ?>
					<span style="color:red">[<?php echo __("common.status.inactive", true) ?>]</span>
				</li>
			<?php endforeach; ?>
		</ul>
	<?php endif; ?>

	<?php $request = $this->requestAction('/menus/top/'); ?>
	<?php if ($request['spmanager'] ): ?>
		<div class="createGroup"><?php echo $html->link(__("top.menu.sp", true), '/sp_groups/create') ?></div>
	<?php endif; ?>
	<?php if ($request['super'] ): ?>
		<h3 class="sideMenu">
			<?php echo $html->link(__("left.menu.system.admin", true), '/mygroups/view',
				array('style' => 'text-decoration: none;color:#000000')) ?>
		</h3>
		<div style="font-size: 80%"><?php echo __("left.menu.system.admin.description", true) ?></div>
		<ul>
			<li class="grpName">
				<?php echo $html->link(__("left.menu.system.notified.list", true), '/system/accounts/invalid'); ?>
			</li>
			<li class="grpName">
				<?php echo $html->link(__("left.menu.system.sp.information", true), '/system/tables/sphosts_index'); ?>
			</li>
			<li class="grpName">
				<?php echo $html->link(__("left.menu.system.sp.admin", true), '/system/tables/spadministrators_index'); ?>
			</li>
			<li class="grpName">
				<?php echo $html->link(__("left.menu.system.statistics", true), '/system/statistics'); ?>
			</li>
		</ul>
	<?php endif; ?>

</div>
<?php endif; ?>

