<?php /* Modified by SOUM Corporation, 2016 */ ?>
<?php $_group_id = $SpGroup['SpGroup']['id'] ?>
<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/top')) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<?php $titles = array($this->element('group_name', array('group_id' => $_group_id)), __("left.sp.menu.top", true)) ?>
<h3><?php echo h(implode(' > ', $titles)) ?></h3>

<table class="form">
	<tr>
		<th><?php echo __("common.service.icon", true) ?></th>
		<td>
			<?php if (empty($SpGroup['SpGroup']['spc_icon']) && $SpGroup['SpGroup']['spc_icon_logo']): ?>
				<?php echo $this->element('images_sp_group', array('groupid' => $SpGroup['SpGroup']['id'],
					'spcIcon' => $SpGroup['SpGroup']['spc_icon'], 'size' => 408)) ?>
			<?php else: ?>
				<?php echo $this->element('images_sp_group', array('groupid' => $SpGroup['SpGroup']['id'],
					'spcIcon' => $SpGroup['SpGroup']['spc_icon'])) ?>
			<?php endif; ?>
		</td>
	</tr>
	<tr>
		<th><?php echo __("common.sp.name", true) ?></th>
		<td>
			<div><?php echo nl2br(h($SpGroup['SpGroup']['name'])) ?></div>
			<div><?php echo nl2br(h($SpGroup['SpGroup']['name_en'])) ?></div>
		</td>
	</tr>
	<tr>
		<th><?php echo __("common.introduction", true) ?></th>
		<td>
			<div><?php echo nl2br(h($SpGroup['SpGroup']['introduction'])) ?></div>
			<div><?php echo nl2br(h($SpGroup['SpGroup']['introduction_en'])) ?></div>
		</td>
	</tr>

	<tr>
		<th><?php echo __("sp_groups.sptype.name", true) ?></th>
		<td>
			<?php if ($SpGroup['SpGroup']['sp_type'] == 1): ?>
				<?php e( __("sp_groups.sptype.non_map", true)); ?>
			<?php elseif ($SpGroup['SpGroup']['sp_type'] == 2): ?>
				<?php e( __("sp_groups.sptype.map", true)); ?>
			<?php elseif ($SpGroup['SpGroup']['sp_type'] == 3): ?>
				<?php e( __("sp_groups.sptype.hybrid", true)); ?>
			<?php elseif ($SpGroup['SpGroup']['sp_type'] == 4): ?>
				<?php e( __("sp_groups.sptype.rw", true)); ?>
			<?php elseif ($SpGroup['SpGroup']['sp_type'] == 5): ?>
				<?php e( __("sp_groups.sptype.hpci", true)); ?>
			<?php endif; ?>
		</td>
	</tr>

	<tr>
		<th><?php echo __("sp_groups.public_tag", true) ?></th>
		<td>
			<ul>
			<?php foreach ($tagNames as $tag): ?>
				<li><?php echo nl2br(h($tag)) ?></li>
			<?php endforeach; ?>
			</ul>
		</td>
	</tr>

	<tr>
		<th><?php echo __("sp_groups.link_for_idp_administrator", true) ?></th>
		<td>
			<div><?php echo nl2br(h($SpGroup['SpGroup']['link_for_idp_administrator'])) ?></div>
		</td>
	</tr>

	<tr>
		<th><?php echo __("sp_groups.target.sp", true) ?></th>
		<td>
			<?php if (count($spList) > 0):?>
				<?php foreach ($spList as $sp): ?>
					<div style="padding-bottom: 8px">
						<?php if (isset($sp['nolink']) && $sp['nolink']): ?>
							<?php if (!empty($sp['lead_url'])): ?>
								<?php echo $sp['service_name'] ?>　(<?php echo $sp['entityid'] ?>)
							<?php else: ?>
								<?php echo $sp['service_name'] ?>　(<?php echo $sp['entityid'] ?>)
							<?php endif; ?>
						<?php elseif (preg_match('/\$groupID|\$entityID/i', $sp['lead_url'])): ?>
								<?php echo $sp['service_name'] ?>　(<?php echo $sp['entityid'] ?>)
						<?php else: ?>
							<?php echo $html->link($sp['service_name'], $sp['lead_url']); ?>
						<?php endif; ?>
					</div>
				<?php endforeach; ?>
			<?php endif; ?>
		</td>
	</tr>

	<tr>
		<th><?php echo __("common.use.atribute", true) ?></th>
		<td>
			<?php foreach ($this->Attribute->toShowAttributeList($providerAttribute) as $attribute): ?>
				<div><?php echo $attribute ?></div>
			<?php endforeach; ?>
		</td>
	</tr>

	<tr>
		<th><?php echo __("common.status", true) ?></th>
		<td>
			<?php if ($SpGroup['SpGroup']['active'] == 0): ?>
				<?php echo __("common.status.active", true); ?>
			<?php elseif ($SpGroup['SpGroup']['active'] == 1): ?>
				<?php echo __("common.status.inactive", true); ?>
			<?php elseif ($SpGroup['SpGroup']['active'] == 2): ?>
				<?php echo __("common.status.super", true); ?>
			<?php elseif ($SpGroup['SpGroup']['active'] == 9): ?>
				<?php echo __("common.status.deleted", true); ?>
			<?php endif; ?>
		</td>
	</tr>
	<tr>
		<th><?php echo __("sp_groups.group.count", true) ?></th>
		<td><?php echo $groupCounts ?></td>
	</tr>
	<tr>
		<th><?php echo __("sp_groups.group.member.count", true) ?></th>
		<td><?php echo $memberCounts ?></td>
	</tr>
</table>

<?php if (isset($spAdmin) && $spAdmin): ?>
	<?php if (count($spList) == 0): ?>
		<p class="attentionMsg">
			<?php echo __("sp_groups.message.no.sp", true) ?>
		</p>
		<div class="submitArea">
			<?php echo $html->link(__("sp_groups.message.remove.sp.edit", true),
				'/admin/manage_sp_groups/edit/'.$SpGroup['SpGroup']['id'], array('class' => 'submitBtn')); ?>
		</div>
	<?php endif; ?>
<?php endif; ?>

		</article>
