<?php /* Modified by SOUM Corporation, 2016 */ ?>
<?php echo $javascript->link('jquery.balloon.min'); ?>



<style type="text/css">
<!--
#sortable {
	list-style-type: none;
	margin: 0 1px 0 0;
	padding: 1px;
	border : 1px solid #666666;
	min-width: 100px;
	min-height:100px;
	border-style: none;
}
#sortable .ui-selected {
	background: red;
	color: white;
	font-weight: bold;
}
#sortable li {
	float: left;
	width: 240px;
	height: 86px;
	cursor: move;
	margin: 0 5px 15px 5px;
	padding: 1px;
	background-color: #fff;
	box-shadow: 1px 1px 1px rgba(0,0,0,0.2);
	border-radius: 8px;
}

.sortableLi {
	border: solid 2px #E9AAAA;
}
.sortableLi:hover{
	background: none repeat scroll 0 0 #F5F5F5 !important;
}

.sortableLiSeparator {
	clear: both;
}
.sortableLiUnusable {
	display: none;
	background: #777777 !important;
	border: solid 2px #E9AAAA;
}
.sortableLiUnusable:hover{
	background: none repeat scroll 0 0 #999999 !important;
}

.sortablePlaceholder {
	height: 90px;
	border : 2px solid #E9AAAA;
	border-style : dashed;
}

#sortable li div:child {
	text-align: center;
	margin-right: 20px;
}

.change_show {
	height: 20px;
	background-color: #e6e6fa
}
.groups {
	display:none;
}
.introductions {
	display:none;
}
.tags {
	background-color:#FFFFB5;
	display:none;
}
.tagName {
	max-width:200px;
	padding:4px 4px 0px 10px;
}
.tag {
	color: blue;
	margin-right: 6px;
}
.public_tag {
	margin-right: 6px;
}
.public_tag a {
	color: green;
}
.tag_edit {
	float: right;
}
.group_show {
/*	display: block; */
	text-decoration: none;
	padding-left: 10px;
	padding-right: 10px;
}
.non_map {
	height: 20px;
	background-color: #f5f5f5;
	padding-left: 10px;
	padding-right: 10px;
}
.service {
	line-height: 54px;
	margin-top: 5px;
	margin-left: 10px;
	margin-right:20px;

	text-align: center;
}
.service_icon {
	vertical-align: top;
}
.service_icon_logo {
	vertical-align: top;
	width: 204px;
	height: 48px;
	margin-bottom: 6px;
	object-fit: contain;
	cursor: pointer;
}
.service_name {
	font-size: 18px;
	color: black;

	display: inline-block;
	width: 150px;
	line-height: 48px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	vertical-align: top;
}
.big_service_name {
	font-size: 20px;
}
.middle_service_name {
	font-size: 18px;
}
.small_service_name {
	font-size: 14px;
}
.link_for_idp_administrator {
	cursor:pointer;
	float:right;
}
.private_service {
	cursor:pointer;
	float:right;
}
-->
</style>

<!-- ツールチップ -->
<script type="text/javascript">
//$(function() {
//	$('.tips').balloon({ position: "top", showDuration: 1200 });
//});
</script>

<?php echo $html->script('jquery.ui.touch-punch.min.js') ?>
<script type="text/javascript">
	$(function() {
		$("#sortable").sortable({
			connectWith: 'ul',
			placeholder: 'sortablePlaceholder'
		}).disableSelection();

		<?php $guestMode = $this->Session->read('guestMode'); ?>
		<?php if (!$guestMode): ?>
		// 並び順に変化あり
		$("#sortable").bind('sortupdate', function(event, ui) {
			// バルーン非表示
			hideAllBalloon();
			$("#init_sort_type").val("manual");

			var result = $("#sortable").sortable("toArray");
			$("#result").val(result);
			var resultData = $("#result").serialize();
			$.ajax({
				type: 'POST',
				url: '<?php echo $html->url('/internal_api/top_service_side_sort') ?>',
				data: resultData
			}).done(function() {
			});

			$("#SpcSortTypeManual").attr('checked', 'checked');
		});
		<?php endif; ?>


		// サービスのクリック
		$('.service_link').click(function () {
			var spcid =  $(this).attr("data-spcid");
			$.ajax({
				type: 'POST',
				url: '<?php echo $html->url('/internal_api/accessSp') ?>',
				data: 'spcid=' + spcid
			}).done(function() {
			});
		});

		// サービス名クリック
		$('.service_name_nolink').click(function () {
			var spcid =  $(this).attr("data-spcid");
			$('#' + spcid + '_gr_show').click();
		});

		// 全体クリック
		$(document).click(function(event){
			var target = $(event.target);
			if (target.hasClass("row")) {
				// バルーン非表示
				hideAllBalloon();
			}
		});
	});
</script>


<script>
<!--
// グループの表示／非表示
$(function() {
	$('.group_show').showBalloon({	});
	shown = false;
	shownId = false;
	$('.group_show').on("click", function() {
		var toggleId = this.id.replace("gr_show", "groups");
		if (shown) {
			if (shownId === toggleId) {
				$(this).hideBalloon();
				shownId = false;
				return;
			} else {
				hideAllBalloon();
				shown = false;
			}
		}
		shownId = toggleId;
		$(this).data("options").contents = $("#" + toggleId).html();
//		shown ? $(this).hideBalloon() : $(this).showBalloon();
		 $(this).showBalloon();
		shown = !shown;
	}).showBalloon({ position: "right bottom", showDuration: 0,
		css: {
			backgroundColor: '#fff',
			opacity: 1,
		}
	});

	// グループありのサービス名をクリック
	$('.service_nolink').on("click", function() {
		var spcid = $(this).attr('data-spcid');
		$('#' + spcid + '_gr_show').trigger("click");
	});
});
function hideAllBalloon() {
	$(".group_show").hideBalloon();
	shown = false;
}
// -->
</script>

<script>
<!--
// introductionの表示／非表示
$(function() {
	$('.introduction_show').showBalloon({	});
	shown = false;
	shownId = false;
	$('.introduction_show').on("click", function() {
		var toggleId = this.id.replace("intro_show", "introductions");
		if (shown) {
			if (shownId === toggleId) {
				$(this).hideBalloon();
				shownId = false;
				return;
			} else {
				hideAllIntroBalloon();
				shown = false;
			}
		}
		shownId = toggleId;
		$(this).data("options").contents = $("#" + toggleId).html();
		$(this).showBalloon();
		shown = !shown;
	}).showBalloon({ position: "right bottom", showDuration: 0,
		css: {
			backgroundColor: '#fff',
			opacity: 1,
		}
	});
});
function hideAllIntroBalloon() {
	$(".introduction_show").hideBalloon();
	shown = false;
}
// -->
</script>

<script>
<!--
// tagの表示／非表示
$(function() {
	$('.tag_show').showBalloon({	});
	shown = false;
	shownId = false;
	$('.tag_show').on("click", function() {
		var toggleId = this.id.replace("tg_show", "tags");
		if (shown) {
			if (shownId === toggleId) {
				$(this).hideBalloon();
				shownId = false;
				return;
			} else {
				hideAllTagBalloon();
				shown = false;
			}
		}
		shownId = toggleId;
		$(this).data("options").contents = $("#" + toggleId).html();
		$(this).showBalloon();
		shown = !shown;
	}).showBalloon({ position: "right bottom", showDuration: 0,
		css: {
			backgroundColor: '#fff',
			opacity: 1,
		}
	});
});
function hideAllTagBalloon() {
	$(".tag_show").hideBalloon();
	shown = false;
}
// -->
</script>

<article class="col span_23">
<?php echo $this->element("article") ?>
<div style="margin-top:10px;">
<?php if (!empty($sideResultList)): ?>
	<div style="margin-left:20px;"><?php $msg = sprintf(__('top.idp.description', true), h($organizationDisplayName)); echo $msg; ?>
<?php if ($this->Session->read('nonParticipant')): ?>
</br><?php echo __('top.idp.description.nonparticipant', true); ?>
<?php echo $html->link(__('common.how.to.entry', true), Configure::read('entrylink.url'), array()); ?>
<?php endif; ?>
        </div>
<?php else: ?>
	<div style="margin-left:20px;"><?php $msg = sprintf(__('top.idp.nothing.sp', true), h($organizationDisplayName)); echo $msg; ?></div>
<?php endif; ?>
</div>

<?php echo $form->create('Top', array('action' => 'save')); ?>
<div id="area" class="row" style="margin-top:10px;margin-left:20px;padding-bottom:50px;">

	<ul id="sortable" class="droptrue" >
		<?php echo $this->element('map_spclist', array('resultList' => $sideResultList, 'spcclass' => 'sortableLi'))?>
		<div class="sortableLiSeparator"></div>
		<?php echo $this->element('map_spclist', array('resultList' => $sideResultUnusableList, 'spcclass' => 'sortableLiUnusable'))?>
	</ul>
</div>


<input type="hidden" id="result" name="result" />

<?php echo $form->end(); ?>

